#!/usr/bin/perl -w

use strict;

print "Content-Type: text/plain\r\n";
print "\r\n";

# Expire any old DL links after 1 hour
my $now = time();
foreach my $dl ( glob "/var/www/html/link/DL*.cgi" ) {
        my $mtime=(stat($dl))[9];
	if( $now - $mtime > 3600 ) {
		unlink $dl;
	}
}

(my $link=$ENV{REQUEST_URI}) =~ s@^.*\/([0-9a-f]*)\?file=.+$@$1@;
(my $file=$ENV{REQUEST_URI}) =~ s@^.*\/[0-9a-f]*\?.*?file=([^&]+).*$@$1@;
(my $type=$ENV{REQUEST_URI}) =~ s@^.*\/[0-9a-f]*\?.*?type=([^&]+).*$@$1@;

if( $type eq $ENV{REQUEST_URI} ) {
  $type = "audio/x-wav";
}
if( $link ne $ENV{REQUEST_URI} && defined($link) && defined($file) ) {
  # print $link."\n";
  # print $file."\n";
  unlink "/var/www/html/link/DL".$link.".cgi";
  open FILE, ">/var/www/html/link/DL".$link.".cgi" || exit -1;
  print FILE "#!/bin/sh\n";
  print FILE "# echo \"Content-Type: ".$type."\r\"\n";
  print FILE "echo \"Accept-Ranges: none\r\"\n";
  print FILE "# echo \"\r\"\n";
  print FILE "# wget -O- --tries=1 http://127.0.0.1:81/stream/".$file." 2>/dev/null\n";
  print FILE "echo -e \"GET /stream/".$file." HTTP/1.0\r\n\r\" | nc 127.0.0.1 81 2>/dev/null\n";
  print FILE "# rm -f /var/www/html/link/DL".$link.".cgi";
  close FILE;
  chmod 0700, "/var/www/html/link/DL".$link.".cgi";
  print "OK";
  exit 0;
}
print "FAIL";
exit 0;
