#!/usr/bin/perl -w

use strict;
use File::Copy;

print "Content-type: text/plain\n";

my $base = "/var/lib/asterisk/";
my $request = $ENV{REQUEST_URI} || "";
if( $request =~ /\/cgi-bin\/moh-sox.pl\/([^\/]+)\/([^\/]+)\/([^\/]+)$/ ) {
  my $path = $base."/moh-native-".$1;
  if( $2 > 0 ) { $path .= "-".$2; }
  my $full_fname = $3;
  my $src = "/var/www/html/moh/".$full_fname;
  if( -d $path && -f $src && $full_fname =~ /^(.+)\.([^\.]+)$/ ) {
    my $ext = $2;
    my $file = $1;
    if( $ext eq "al" || $ext eq "alaw" ) {
      copy $src, $path."/".$file.".alaw";
print "X-Keepalive: ping\n";
      system('/usr/bin/sox -t al -r 8000 '.$src.' -t gsm -r 8000 '.$path.'/'.$file.'.gsm');
    }
    if( $ext eq "gsm" ) {
      copy $src, $path."/".$file.".gsm";
print "X-Keepalive: ping\n";
      system('/usr/bin/sox -t gsm -r 8000 '.$src.' -t al -r 8000 -c 1 '.$path.'/'.$file.'.alaw');
    }
    if( $ext eq "wav" ) {
      system('/usr/bin/sox '.$src.' -t al -r 8000 -c 1 '.$path.'/'.$file.'.alaw');
print "X-Keepalive: ping\n";
      system('/usr/bin/sox '.$src.' -t gsm -r 8000 -c 1 '.$path.'/'.$file.'.gsm');
    }
    if( $ext eq "mp3" ) {
      system('mpg123 -m -w '.$src.'.wav '.$src);
print "X-Keepalive: ping\n";
      system('/usr/bin/sox '.$src.'.wav -t al -r 8000 -c 1 '.$path.'/'.$file.'.alaw');
print "X-Keepalive: ping\n";
      system('/usr/bin/sox '.$src.'.wav -t gsm -r 8000 -c 1 '.$path.'/'.$file.'.gsm');
      unlink $src.'.wav';
    }

    print "\nOK\n";
    unlink $src;
    exit 0;
  }
}
print "\nFAIL\n";
