<!--
(c) 2005-2008 IP Cortex Ltd.
All rights reserved.  Unauthorised copying is not permitted.

Portions (c) 2005 Yellowhawk Ltd.
All rights reserved.  Unauthorised copying is not permitted.

Portions (c) 2005 Redbourne Ltd.
All rights reserved.  Unauthorised copying is not permitted.
--><!-- Define some form management tags. -->
<rb:script>
  // Create the formset storage.
  var rb$formset = new Array;

  // Take the request name from the parameters.
  var rb$params   = rb.page.formdata()
  var rb$errors   = new Object;
  var rb$command;
  var rb$message;
  var rb$data;
  var rb$doStaticForm;
  var rb$defaultfield="0";
</rb:script>

<rb:script>
  // rb$buildFormSet
  // Find all the rbm:command handlers that are children of this tag.
  function rb$buildFormSet(tags) {
    var i;

    for (i=0;i<tags.length;i++) {
      if (typeof tags[i]=='object' && tags[i].name=='rbm:command') {
        // has a command handler with this name already been registered?
        var thisCommand = tags[i].attributes.name;
        if (thisCommand==null)
          // Can only have one command with the same name!
          thisCommand = 'default';

        if (rb$formset[thisCommand]!=null) {
          rb.debug.error('Duplicate command handler "'+thisCommand+'" in formset');
          return false;
        }
        // Thats OK. Check the name.
        if (thisCommand.search(/[^a-zA-Z0-9\-_.]/)>=0) {
          // name includes illegal characters.
          rb.debug.error('rbm:command name includes illegal characters: '+thisCommand);
          return false;
        }
        // Everything OK - add to the formset.
        rb$formset[thisCommand] = tags[i];
      }
    }
  }
</rb:script>


<rb:macrotag name="rbm:formset">
  // Build the page map.
  var tags    = rb.xml.thisTag();
  var thisCommand;
  var count = 0, i;
  var test;

  rb$buildFormSet(tags);

  // Look for a command parameter.
  for (i in rb$params) {
    if (i.search(/rbcmd-/)>=0) {
      // Found a command!
      rb$command = i.slice(6).replace(/\.[xy]$/,"");
    }
  }
  if (rb$command==null)
    rb$command = 'default';

  // First step is to see whether the parameters passed to the page tell us which command handler to execute.
  do {
    count++;

    // See if we have a handler for rb$command
    thisCommand = rb$formset[rb$command];
    test        = true;

    if (thisCommand==null)
      break;

    // Execute this command.
    rb$thisCommand = rb$command;
      
    delete rb$command;
    rb$command = null;

    // Is there a test condition associated with this command?
    //rb.debug.write("thisCommand = "+thisCommand.toSource()+"<br>");
    rb.debug.write("thisCommand = "+thisCommand.attributes+"<br>");
    if (thisCommand.attributes.test!=null) {
      // Yes - has a test. Evaluate it for truth.
      rb.debug.write("Have a test of "+thisCommand.test+"<br>");
      test = eval(thisCommand.attributes.test);
    }
    if (!test) {
      // Can't run page because of an error. Redirect to _either_ the error page _or_ the specified command.
      rb$command = (thisCommand.attributes.error)? thisCommand.attributes.error : 'error';
      rb$message = (thisCommand.attributes.msg) ? thisCommand.attributes.msg : 'Error executing command';
    } else {
      // Got it! Reset the command ID and try to execute the command handler.
      rb.page.write(thisCommand.execute().bodytext());
    }
  } while (count<5 && rb$command!=null);
</rb:macrotag>

<rb:macrotag name="form">
  var tags    = rb.xml.thisTag();
  rb.page.write('<form ');
  for (var i in tags.attributes) {
    rb.page.fwrite('%s="%s" ', i, tags.attributes[i]);
  }
  if( tags.attributes.name==null ) {
    rb$formname="auto"+parseInt(Math.random()*10000);
    rb.page.write('name="'+rb$formname+'" ');
  } else
    rb$formname=tags.attributes.name;
  rb.page.write('>');

  rb.page.write(tags.execute().bodytext()+'</form>\n');
  if( rb$defaultfield != null )
     rb.page.write('<script language="javascript"><!--\nif(document.'+rb$formname+'["'+rb$defaultfield+'"] != null && document.'+rb$formname+'["'+rb$defaultfield+'"].type != "hidden")\n  document.'+rb$formname+'["'+rb$defaultfield+'"].focus()\n//-->\n</script>');
//rb.page.write('<script language="javascript"><!--\ndocument.'+rb$formname+'["'+rb$defaultfield+'"].focus()\n//-->\n</script>');
</rb:macrotag>

<rb:macrotag name="input">
  // Get the name field, which is mandatory. Then check to see with there is an error status against the name.
  // the name is defined as 'formset_command_name'.
  var attribs = rb.page.attributes();
  if( attribs.value == null )
    attribs.value='';
  var errname = attribs.name;
  var month = ["jan", "feb", "mar", "apr", "may", "jun", "jul", "aug", "sep", "oct", "nov", "dec"];

  with (rb.page) {
    if( attribs.type != null && attribs.type!="text" && attribs.type!="password" &&
                                attribs.type!="radio" ) {
      if (rb$errors[errname]!=null)
        write('<input style="background:#DDDDFF" ');
      else
        write('<input ');

      for (var i in attribs)
        write(i+'="'+attribs[i]+'" ');
      write('>');
    } else if( attribs.type != null && attribs.type=="radio" ) {
      if (rb$errors[errname]!=null)
        write('<input style="background:#DDDDFF" ');
      else
        write('<input ');

      if( rb$data && rb$data[attribs.name] == attribs.value )
        write('checked ');
      else if( (rb$data==null || rb$data[attribs.name] == null) && attribs.checked!=null )
        write('checked ');
      delete attribs.checked;
      for (var i in attribs)
        write(i+'="'+attribs[i]+'" ');
      write('>');
    } else if (rb$doStaticForm!=null && rb$doStaticForm==true) {
      // Output just the value part.
      if (rb$data && rb$data[attribs.name]){
        var a = rb$data[attribs.name];
        if(typeof a == "object" && a.constructor == Date)
          write(Util.fmtShortDate(a).bold());
        else
          write(""+a.bold());
      } else
        write(attribs.value);
    } else {
      var tags = rb.xml.thisTag();

      tags.execute();

      if (errname) {
        if (rb$errors[errname]!=null)
          write('<input style="background:#DDDDFF" ');
        else
          write('<input ');

        // Check to see whether there is a default value for this one.
        if (rb$data && rb$data[errname]!=null){
          var a = rb$data[attribs.name];
          rb.debug.write("typeof a = "+typeof a+" constructor = "+a.constructor+"<BR>\n");
          if(typeof a == "object" && a.constructor == Date)
            write('value="'+Util.fmtShortDate(a)+'" ');
          else
            write('value="'+a+'" ');
        } else
          write('value="'+attribs.value+'" ');
        // Output the rest of the attributes.
        for (var i in attribs) {
          if (i!='value')
            write(i+'="'+attribs[i]+'" ');
        }
        write('>');
      }
    }
  }
</rb:macrotag>

<rb:macrotag name="select">
  // Get the name field, which is mandatory.
  // Then check to see with there is an error status against the name.
  // the name is defined as 'formset_command_name'.
  var attribs = rb.page.attributes();
  var errname = attribs.name;
 
  // rb.debug.write("select attribs = "+attribs+"<br>\n");
  if (rb$doStaticForm!=null && rb$doStaticForm==true) {
    // Output just the value part.
    if (rb$data && rb$data[attribs.name]){
      var a = rb$data[attribs.name];
      if(typeof a == "object" && a.constructor == Date)
        rb.page.write(Util.fmtShortDate(a).bold());
      else
        rb.page.write(""+a.bold());
    } else
      rb.page.write(attribs.value);
  // We are not interested unles there is a "list" parameter present.
  } else if( attribs.list == null || attribs.list.length == 0 ) {
    rb.page.write('<select ');
    if (errname && rb$errors[errname]!=null)
      write(' style="background:#DDDDFF" ');
    for (var i in attribs)
      rb.page.write(i+'="'+attribs[i]+'" ');
    rb.page.write('>\n');
    var tags = rb.xml.thisTag();
    rb.page.write(tags.execute().bodytext());
    rb.page.write('</select>');
  } else {
    rb.debug.write("Got a dynamic &lt;select&gt;<br>\n");
    with (rb.page) {
      write('<select ');
      if (errname && rb$errors[errname]!=null)
        write(' style="background:#DDDDFF" ');
      for (var i in attribs)
        if( i != 'list' )
          write(i+'="'+attribs[i]+'" ');
      write('>\n');
      var choices=attribs.list.split("|");
      while( choices.length>0 ) {
        var pair = choices.shift().split(",");
        if( pair.length < 2 ) continue;
        write('<option value="'+pair[0]+'"');
        if (rb$data && rb$data[attribs.name] == pair[0] )
          write(' selected');
        write('>'+pair[1]+'</option>\n');
      }
      write('</select>');
    }
  }
</rb:macrotag>

<rb:macrotag name="textarea">
  var attribs = rb.page.attributes();
  var errname = attribs.name;
 
  rb.debug.write("select attribs = "+attribs+"<br>\n");
  if (rb$doStaticForm!=null && rb$doStaticForm==true) {
    // Output just the value part.
    if (rb$data && rb$data[attribs.name]){
      var a = rb$data[attribs.name];
      if(typeof a == "object" && a.constructor == Date)
        rb.page.write(Util.fmtShortDate(a).bold());
      else
        rb.page.write(""+a.bold());
    } else
      rb.page.write(attribs.value);
  } else {
    rb.debug.write("Got a dynamic &lt;select&gt;<br>\n");
    with (rb.page) {
      write('<textarea ');
      if (errname && rb$errors[errname]!=null)
        write(' style="background:#DDDDFF" ');
      for (var i in attribs)
        write(i+'="'+attribs[i]+'" ');
      write('>');

      var tags = rb.xml.thisTag();
      var body=tags.execute().bodytext();
      if (rb$data && rb$data[attribs.name])
        write(rb$data[attribs.name]);
      else
        write(body);

      write('</textarea>');
    }
  }
</rb:macrotag>

<rb:macrotag name="rbm:pageinfo">
   // Specify the page we want to execute. Has a single 'name' attribute.
   // gets translated into a hidden form handle.
   var attribs = rb.page.attributes();

   // Now add hidden parameters for each of the attributes.
   for (i in attribs) {
      rb.page.write('<input type="hidden" name="'+i+'" value="'+eval(attribs[i])+'"/>\n');
   }
</rb:macrotag>
