//
// (c) 2005-2008 IP Cortex Ltd.
// All rights reserved.  Unauthorised copying is not permitted.
//
  var files=[];
  var filenames={};

  var COMPANY_COMMUNITY = "company";
  com_com = rb.contact.communityInfo(-1, COMPANY_COMMUNITY);

  function get_moh_files() {
    var req = new HttpRequest;
    req.host = "127.0.0.1";
    req.path = "/cgi-bin/list_moh.sh";
    req.method = "GET";
    req.timeout = 3600;
    res = req.doRequest();
    if( res == 200 ) {
      files=req.toString().split(/\s/);
    }
    for( var i=0; i<files.length; i++ ) {
      if( files[i].search(/\//) == -1 )
        continue;
      var j = files[i].split(/\//);
      if( filenames[j[0]] == null )
        filenames[j[0]]={};
      var k = j[1].replace(/^(.*)\.[^\.]+$/,"$1");
      if( k != null ) {
        filenames[j[0]][k]=1;
      }
    }
  }

  function remove_moh_files(pathname) {
    rb.debug.write("Remove file: "+pathname+" requested.<br>\n");
    var req = new HttpRequest;
    req.host = "127.0.0.1";
    req.path = "/cgi-bin/moh-delete.pl/"+pathname;
    req.method = "GET";
    req.timeout = 3600;
    res = req.doRequest();
    if( res != 200 || req.toString().match(/OK \d+\n/) == -1 ) {
      return false;
    }
    return req.toString();
  }

  function sox_file(co,gr,fi) {
    var req = new HttpRequest;
    req.host = "127.0.0.1";
    req.path = "/cgi-bin/moh-sox.pl/"+co+"/"+gr+"/"+fi;
    req.method = "GET";
    req.timeout = 3600;
    res = req.doRequest();
    rb.debug.write("moh-sox.pl returned "+res+"<br>"+req.toString()+"<br>\n");
  }

  function update_conf() {
    get_moh_files();

    var mohconf=new Binary();
    if( !mohconf.open('/config/configs/moh.conf',mohconf.modeWrite) ) {
      rb.debug.error("Cannot open /config/configs/moh.conf for writing err="+v+"!");
    } else {
      var subdir='/config/basefiles';
      var filecontents = new Binary();
      if( filecontents.load(subdir+'/musiconhold.conf') )
        mohconf.writeln(filecontents.toString());

      var f_moh={"default":"mode=files\ndirectory=/var/lib/asterisk/moh-native\nrandom=yes\n"};

      var companies=rb.contact.get([],{searchOU:1,searchIndividual:0,searchCommunity:0,isIn:[com_com.ID],sort:"name",maxRows:999});
      while( companies.getNextRow() ){
        var c = companies.uName.substr(8);
        if( filenames["moh-native-"+c] == null )
          f_moh["moh-"+c]=f_moh["default"];
        else
          f_moh["moh-"+c]="mode=files\ndirectory=/var/lib/asterisk/moh-native-"+c+"\nrandom=yes\n";

if( _rb$mode.moh > 0 ) {
        for( var i=1; i<6; i++ ) {
          if( filenames["moh-native-"+c+"-"+i] == null )
            f_moh["moh-"+c+"-"+i]=f_moh["moh-"+c];
          else
            f_moh["moh-"+c+"-"+i]="mode=files\ndirectory=/var/lib/asterisk/moh-native-"+c+"-"+i+"\nrandom=yes\n";
        }
}
      }

      // In single company mode, the default becomes the system default
      if( _rb$mode.company < 1 )
        f_moh["default"] = f_moh["moh-default"];

      for( var j in f_moh )
        mohconf.writeln("["+j+"]\n"+f_moh[j]);
      mohconf.writeln("; "+(new Date()));
      mohconf.writeln("; --END--");
      mohconf.close();
      DB.flag_change();
    }
  }

