--
-- PostgreSQL database dump
--

SET client_encoding = 'SQL_ASCII';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

--
-- Data for Name: phone_type; Type: TABLE DATA; Schema: public; Owner: asterisk
--
DELETE FROM phone_type;

COPY phone_type (phone_type, num_lines, num_fkeys, num_ports, description, res_lines, sip_extra, is_zap, aux_ports, pgroup, sidecar) FROM stdin;
aastra480i	4	22	1	Aastra 480i	0	shortnotify=yes\nallowcolp=yes\nallowcolp_contact=yes	f	0	Aastra 480i	f
aastra480i-cwi	9	27	1	Aastra 480i - No CWI	0	shortnotify=yes\nallowcolp=yes\nallowcolp_contact=yes	f	0	Aastra 480i	f
aastra51i	1	1	1	Aastra 51i	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 51i	f
aastra53i	3	3	1	Aastra 53i	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 53i	f
aastra53i-1line	1	1	1	Aastra 53i - 1 Line	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 53i	f
aastra53i536m2	3	75	1	Aastra 53i + 536Mx2	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 53i	t
aastra53i536m3	3	111	1	Aastra 53i + 536Mx3	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 53i	t
aastra53i536m	3	39	1	Aastra 53i + 536M	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 53i	t
aastra53i-cwi	9	0	1	Aastra 53i - No CWI	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 53i	f
aastra55i	4	24	1	Aastra 55i	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 55i	f
aastra55i-1line	1	21	1	Aastra 55i - 1 Line	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 55i	f
aastra55i536m2	4	76	1	Aastra 55i + 536Mx2	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 55i	t
aastra55i536m3	4	112	1	Aastra 55i + 536Mx3	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 55i	t
aastra55i536m	4	40	1	Aastra 55i + 536M	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 55i	t
aastra55i-cwi	9	29	1	Aastra 55i - No CWI	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 55i	f
aastra57i	4	24	1	Aastra 57i	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 57i	f
aastra57i-1line	1	21	1	Aastra 57i - 1 Line	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 57i	f
aastra57i536m2	4	76	1	Aastra 57i + 536Mx2	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 57i	t
aastra57i536m3	4	112	1	Aastra 57i + 536Mx3	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 57i	t
aastra57i536m	4	40	1	Aastra 57i + 536M	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 57i	t
aastra57i560m2	4	124	1	Aastra 57i + 560Mx2	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 57i	t
aastra57i560m3	4	184	1	Aastra 57i + 560Mx3	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 57i	t
aastra57i560m	4	64	1	Aastra 57i + 560M	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 57i	t
aastra57i-cwi	9	29	1	Aastra 57i - No CWI	0	shortnotify=yes\nallowcolp=yes	f	0	Aastra 57i	f
aastra9112i	1	0	1	Aastra 9112i	0	shortnotify=yes\nallowcolp=yes\nallowcolp_contact=yes	f	0	Aastra 9112i	f
aastra9112i-cwi	1	0	1	Aastra 9112i - No CWI	0	call-limit=1\nshortnotify=yes\nallowcolp=yes\nallowcolp_contact=yes	f	0	Aastra 9112i	f
aastra9133i	1	6	1	Aastra 9133i	0	shortnotify=yes\nallowcolp=yes\nallowcolp_contact=yes	f	0	Aastra 9133i	f
aastra9133i-cwi	3	8	1	Aastra 9133i - No CWI	0	shortnotify=yes\nallowcolp=yes\nallowcolp_contact=yes	f	0	Aastra 9133i	f
astribank16	1	0	16	Xorcom Astribank 16	0		t	6	Xorcom Astribank	f
astribank24	1	0	24	Xorcom Astribank 24	0		t	6	Xorcom Astribank	f
astribank32	1	0	32	Xorcom Astribank 32	0		t	6	Xorcom Astribank	f
astribank8	1	0	8	Xorcom Astribank 8	0		t	6	Xorcom Astribank	f
c460ip	1	0	1	Gigaset C450/C460IP	0		f	0	Gigaset C460IP	f
Cisco7941	2	2	1	Cisco 7941	0	allowcolp=yes	f	0	Cisco 7941	f
Cisco7941-821	2	2	1	Cisco 7941 new s/w	0	allowcolp=yes	f	0	Cisco 7941	f
Cisco7961	6	6	1	Cisco 7961	0	allowcolp=yes	f	0	Cisco 7961	f
Cisco7961-821	6	6	1	Cisco 7961 new s/w	0	allowcolp=yes	f	0	Cisco 7961	f
eyebeam	1	0	1	EyeBeam	0		f	0	Softphone	f
eyebeam-cwi	1	0	1	EyeBeam - No CWI	0	call-limit=1	f	0	Softphone	f
generic	1	0	1	Generic 1 Line	0		f	0		f
generic-cwi	1	0	1	Generic 1 Line - No CWI	0	call-limit=1	f	0		f
ip320	2	0	1	Polycom IP320	0	allowcolp=yes	f	0	Polycom SoundPoint	f
ip330	2	0	1	Polycom IP330	0	allowcolp=yes	f	0	Polycom SoundPoint	f
ip4000	1	0	1	Polycom IP4000	0	allowcolp=yes	f	0	Polycom SoundStation	f
ip430	2	0	1	Polycom IP430	0	allowcolp=yes	f	0	Polycom SoundPoint	f
ip550	4	0	1	Polycom IP550	0	allowcolp=yes	f	0	Polycom SoundPoint	f
ip560	4	0	1	Polycom IP560	0	allowcolp=yes	f	0	Polycom SoundPoint	f
ip601	6	0	1	Polycom IP601	0	allowcolp=yes	f	0	Polycom SoundPoint	f
ip650	6	0	1	Polycom IP650	0	allowcolp=yes	f	0	Polycom SoundPoint	f
pap2t	1	0	2	Linksys PAP2T	0	allowcolp=yes	f	0	Linksys PAP2T	f
s450ip	1	0	6	Gigaset S450IP	0		f	0	Gigaset S450IP	f
snom190-1	1	5	1	snom190 (Single line)	0	allowcolp=yes	f	0	Snom 190	f
snom190	5	5	1	snom190	0	allowcolp=yes	f	0	Snom 190	f
snom300	2	2	1	snom300	0	allowcolp=yes	f	0	Snom 300	f
snom300-hold	1	2	1	snom300 (1 line,hold btn)	0	allowcolp=yes	f	0	Snom 300	f
snom320-1	1	12	1	snom320 (1 line,11 exten)	0	allowcolp=yes	f	0	Snom 320	f
snom320-111	1	12	1	snom320 (1 line,11 hold)	11	allowcolp=yes	f	0	Snom 320	f
snom320-156	1	12	1	snom320 (1 line,5 hold,6 exten)	5	allowcolp=yes	f	0	Snom 320	f
snom320	6	12	1	snom320 (6 line,6 exten)	0	allowcolp=yes	f	0	Snom 320	f
snom320-606	6	12	1	snom320 (6 line,6 hold)	6	allowcolp=yes	f	0	Snom 320	f
snom360-1	1	12	1	snom360 (1 line,11 exten)	0	allowcolp=yes	f	0	Snom 360	f
snom360-111	1	12	1	snom360 (1 line,11 hold)	11	allowcolp=yes	f	0	Snom 360	f
snom360-12	12	12	1	snom360 (12 line)	0	allowcolp=yes	f	0	Snom 360	f
snom360-156	1	12	1	snom360 (1 line,5 hold,6 exten)	5	allowcolp=yes	f	0	Snom 360	f
snom360	6	12	1	snom360 (6 line,6 exten)	0	allowcolp=yes	f	0	Snom 360	f
snom360-606	6	12	1	snom360 (6 line,6 hold)	6	allowcolp=yes	f	0	Snom 360	f
snom360s-12	12	54	1	snom360 (12 line and Sidecar)	0	allowcolp=yes	f	0	Snom 360	t
snom360s	6	54	1	snom360 and Sidecar	6	allowcolp=yes	f	0	Snom 360	t
snom370-1	1	12	1	snom370 (1 line,11 exten)	0	allowcolp=yes	f	0	Snom 370	f
snom370-111	1	12	1	snom370 (1 line,11 hold)	11	allowcolp=yes	f	0	Snom 370	f
snom370-12	12	12	1	snom370 (12 line)	0	allowcolp=yes	f	0	Snom 370	f
snom370-156	1	12	1	snom370 (1 line,5 hold,6 exten)	5	allowcolp=yes	f	0	Snom 370	f
snom370	6	12	1	snom370 (6 line,6 exten)	0	allowcolp=yes	f	0	Snom 370	f
snom370-606	6	12	1	snom370 (6 line,6 hold)	6	allowcolp=yes	f	0	Snom 370	f
snom370s-12	12	54	1	snom370 (12 line and Sidecar)	0	allowcolp=yes	f	0	Snom 370	t
snom370s	6	54	1	snom370 and Sidecar	6	allowcolp=yes	f	0	Snom 370	t
spa1001	1	0	1	Sipura SPA1001	0		f	0	Sipura SPA1001	f
spa2000	1	0	2	Sipura SPA2000	0		f	0	Sipura SPA2000	f
spa2002	1	0	2	Sipura SPA2002	0		f	0	Sipura SPA2002	f
spa2102	1	0	2	Sipura SPA2102	0		f	0	Sipura SPA2102	f
spa8000	1	0	8	Sipura SPA8000	0		f	0	Sipura SPA8000	f
spa841	2	4	1	Sipura SPA841	0	allowcolp=yes	f	0	Sipura SPA841	f
spa901	1	0	1	Linksys SPA901	0	allowcolp=yes	f	0	Linksys SPA901	f
spa921	1	0	1	Linksys SPA921	0	allowcolp=yes	f	0	Linksys SPA921	f
spa922	1	0	1	Linksys SPA922	0	allowcolp=yes	f	0	Linksys SPA922	f
spa941	2	4	1	Linksys SPA941	0	allowcolp=yes	f	0	Linksys SPA941	f
spa941-4	4	4	1	Linksys SPA941 (4 line)	0	allowcolp=yes	f	0	Linksys SPA941	f
spa942	2	4	1	Linksys SPA942	0	allowcolp=yes	f	0	Linksys SPA942	f
spa942-4	4	4	1	Linksys SPA942 (4 line)	0	allowcolp=yes	f	0	Linksys SPA942	f
spa962	6	6	1	Linksys SPA962	0	allowcolp=yes	f	0	Linksys SPA962	f
\.


--
-- PostgreSQL database dump complete
--

