// rb.debug.mode(true);
rb.debug.write("loading infofromdst2<br>\n");
timer1=new Date();

function infofromdst(dst,dt,company,dn,sn,trunk) {
// rb.debug.write("infofromdst got: "+dst+","+dt+","+company+","+dn+","+sn+","+trunk+"<br>\n");
  info = null;
  // ddi numbers can be translated to the local equivalent.
  if( ifd.ddi[dst] != null ) {
    rb.debug.write(dst+" became "+ifd.ddi[dst]+"<br>\n");
    dst = ifd.ddi[dst];
  }
  if( ifd.ddi[dn] != null ) {
    rb.debug.write(dn+" became "+ifd.ddi[dn]+"<br>\n");
    dn = ifd.ddi[dn];
  }
  if( ifd.ddi[sn] != null ) {
    rb.debug.write(sn+" became "+ifd.ddi[sn]+"<br>\n");
    sn = ifd.ddi[sn];
  }

  if( sn != dn ) {				// sn != dn should mean an external call.
    if( sn != null ) {
      info=get_row(sn,dt,company,'S',trunk);
      if( info == null || info.rate == 'U' )
        info=get_row(sn,dt,company,'I',trunk);  // Check against Internal patterns just in case!
    }
    if( (info==null || info.rate == 'U') && dn != null )
      if( dn.slice(0,2) == '00' )
        info=get_row(dn.slice(2),dt,company,'F',trunk);
      else
        info=get_row(dn,dt,company,'F',trunk);
  } else if( sn != null && sn == dn ) {		// sn == dn should mean an internal call.
    info=get_row(sn,dt,company,'I',trunk);
    if( info.description==null || info.description=="" )
      info.description="Internal";
  }
  if( info == null )
    info = {rate:'U'};
  if( info != null )
    if( sn != null )
      info.dst = sn;
    else if( dn != null )
      info.dst = dn;
    else
      info.dst = dst;
  save_info = info;

// Last ditch, and backward compatability
  if( sn == null && dn == null ) {
    if( info == null || info.rate == 'U' )
      info=get_row(dst,dt,company,'S',trunk);
    if( info == null || info.rate == 'U' )
      info=get_row(dst,dt,company,'F',trunk);
    if( info == null || info.rate == 'U' )
      info=get_row(dst,dt,company,'I',trunk);
    if( info == null || info.rate == 'U' ) {
      local_countrycode=DB.get_attrib("local_countrycode","44");
      local_dialcode=DB.get_attrib("local_dialcode","01908");
      if( dst.search(/^00/) != -1 ) {
        n44 = dst.slice(2);
      } else if( dst.search(/^0/) != -1 ) {
        n44 = local_countrycode+dst.slice(1);
      } else {
        n44 = local_countrycode+(local_dialcode.slice(1))+dst;
      }
      info=get_row(n44,dt,company,'F',trunk);
      info.dst = dst;
    }
  }
// Still no match!!! Undo the damage...
  if( info == null || info.rate == 'U' )
    info=save_info;

  return info;
}

function infofromdst_test(dst,company,dn,sn,trunk) {
  // company = array of company names to test
  // trunk = array of trunks to test
  var res={};

  // ddi numbers can be translated to the local equivalent.
  if( ifd.ddi[dst] != null ) {
    rb.debug.write(dst+" became "+ifd.ddi[dst]+"<br>\n");
    dst = ifd.ddi[dst];
  }
  if( ifd.ddi[dn] != null ) {
    rb.debug.write(dn+" became "+ifd.ddi[dn]+"<br>\n");
    dn = ifd.ddi[dn];
  }
  if( ifd.ddi[sn] != null ) {
    rb.debug.write(sn+" became "+ifd.ddi[sn]+"<br>\n");
    sn = ifd.ddi[sn];
  }

  dt = new Date();
  for( var c in company ) {
    for( var t in trunk ) {
      info={};
      info.S=get_row(sn,dt,c,'S',t);
      if( info.S.rate=='U' ) {
        if( dn.slice(0,2) == '00' )
          info.F=get_row(dn.slice(2),dt,c,'F',t);
        else
          info.F=get_row(dn,dt,c,'F',t);
      }
      info.I=get_row(sn,dt,c,'I',t);

      res[c+"|"+t]=info;
    }
  }

  return res;
}

function get_row(dst,dt,company,qualifier,trunk) {

timer3 = new Date()
// rb.debug.write("get_row got : "+dst+","+dt+","+company+","+qualifier+","+trunk+"<br>\n");

  var res={dst:dst,rate:'U'};
  if( dt==null )
    dt = new Date();
  if( company==null )
    company='default';
  if( trunk==null )
    trunk='default';
  var hit=null;
  dt_day = dt.getDay();
  dt_secs = dt.getHours()*3600 + dt.getMinutes()*60;

  for( var n in ifd.val ) {
    if( ifd.val[n].fromdate > dt || ifd.val[n].todate < dt )
      continue; 
    if( ifd.chg[n] == null )
      continue;
    if( ifd.res[n] == null )
      continue;
    rl = ifd.val[n].peakdef;
    ratenow='O';
    for( var i=0; i<rl.length; i++ ) {
      if( (dt_day < rl[i].fromday || dt_day > rl[i].today) && rl[i].fromday <= rl[i].today )
        continue;
      if( (dt_day < rl[i].fromday && dt_day > rl[i].today) && rl[i].fromday > rl[i].today )
        continue;
      if( dt_secs < rl[i].fromhour || dt_secs > rl[i].tohour )
        continue;
      ratenow=rl[i].rate;
      break;
    }
    for( var kk=0; kk<ifd.res[n].length; kk++ ) {
      row={};
      row.company = ifd.res[n][kk].company;
      row.provider = ifd.res[n][kk].provider;
      if( row.company != 'default' && row.company != company )
        continue;
      if( row.provider != 'default' && row.provider != trunk )
        continue;
      if( hit != null && hit.company != 'default' && row.company == 'default' )
        continue; 

      var r=0;
      var this_ifd = [];
      if( ifd.chg[n][qualifier+ratenow] != null && ifd.chg[n][qualifier+ratenow][dst.slice(0,1)] != null )
        this_ifd = this_ifd.concat(ifd.chg[n][qualifier+ratenow][dst.slice(0,1)]);
      if( ifd.chg[n][qualifier+'H'] != null && ifd.chg[n][qualifier+'H'][dst.slice(0,1)] != null )
        this_ifd = this_ifd.concat(ifd.chg[n][qualifier+'H'][dst.slice(0,1)]);
      while( this_ifd[r] != null ) {
        var row=this_ifd[r];
        row.company = ifd.res[n][kk].company;
        row.provider = ifd.res[n][kk].provider;
        r++;

        if( dst.search("^"+row.prefix) != -1 )
          patt=row.prefix;
        else
          continue;
        if( patt.length == 0 )
          continue; 

// Got a "default" company hit already, but just found a company hit, so forget the previous hit.
        if( hit != null && hit.company == 'default' && row.company != 'default' ) {
          hit=null;
          res={dst:dst,rate:'U'};
        }
// Got a "default" provider hit already, but just found a provider hit, so forget the previous hit.
// But only if it is at the same "company" level as the existing hit.
        if( hit != null && hit.provider == 'default' && row.provider != 'default' && hit.company == row.company ) {
          hit=null;
          res={dst:dst,rate:'U'};
        }

// If we have a hit, but the old one is better or the same, don't bother...
        if( hit!=null && (hit.len >= row.len ||
                         (hit.len == row.len && hit.fromdate >= row.fromdate) ||
                          hit.company != row.company ) )
          continue;
        hit={len:row.len, name:row.name, rate:row.rate, prefix:row.prefix, provider:row.provider, company:row.company, fromdate:row.todate, fromdate:row.todate};

        for( var x in row )
          res[x] = row[x];
// rb.debug.write("Got a hit: "+hit.toSource()+"<br>\n");
      }
    }
  }

get_row_timer=(new Date()-timer3)/1000;
if( get_row_timer > 0.01 ) {
  rb.debug.write("Slow get_row >0.01 secs at "+get_row_timer+"<br>");
  rb.debug.write("data for slow row : "+dst+","+dt+","+company+","+qualifier+","+trunk+"<br>\n");
  rb.debug.write(res.toSource()+"<br>\n");
}
  return res;
}

var ifd={ddi:{}, chg:{}, res:{}, val:{}};

if ((pgconn=DB.open())) {
  rb.debug.write("DATABASE open OK<br>");

// Preload all DDI numbers and extensions
  pgres = pgconn.exec('SELECT * FROM inbound_nos');
  if( pgres!=null && pgres.success && pgres.numRows>0 ) {
    for( var r=0;r<pgres.numRows; r++ ) {
      var row = pgres.fetchRowObject(r);
      ifd.ddi[row.number]=row.virt_exten;
      ifd.ddi[row.dialcode+row.number]=row.virt_exten;
      if( row.dialcode.search(/^0[1-9]/) != -1 ) {
        ifd.ddi[DB.get_attrib("local_countrycode",44)+row.dialcode.substr(1)+row.number]=row.virt_exten;
        ifd.ddi['00'+DB.get_attrib("local_countrycode",44)+row.dialcode.substr(1)+row.number]=row.virt_exten;
      }
    }
  }

// Preload all rate usages
  pgres = pgconn.exec('SELECT * FROM rate_res');
  if( pgres!=null && pgres.success ) {
    for( var r=0; r<pgres.numRows; r++ ) {
      var row = pgres.fetchRowObject(r);
      if( ifd.res[row.rate_name]== null )
        ifd.res[row.rate_name]=[];
      ifd.res[row.rate_name].push({company:row.company, provider:row.provider});
    }
  }

// Preload all valid times and peakdefs.
  pgres = pgconn.exec('SELECT * FROM rate');
  if( pgres!=null && pgres.success ) {
    var datecache={};
    var peak_rate_cache={};
    for( var r=0; r<pgres.numRows; r++ ) {
      var row = pgres.fetchRowObject(r);
      ifd.val[row.name]={};
      if( datecache[row.fromdate] == null ) {
        var dd = row.fromdate.split(/[^\d]/);
        var dz = row.fromdate.match(/^.*((?:\+|\-)\d+)$/);
        var d = new Date( dd[2]+" "+months[dd[1]-1]+" "+dd[0]+" "+dd[3]+":"+dd[4]+":"+dd[5]+(dz!=null?" "+dz[1]+"00":"") )
        datecache[row.fromdate] = d;
      }
      ifd.val[row.name].fromdate=datecache[row.fromdate];

      if( datecache[row.todate] == null ) {
        var dd = row.todate.split(/[^\d]/);
        var dz = row.todate.match(/^.*((?:\+|\-)\d+)$/);
        var d = new Date( dd[2]+" "+months[dd[1]-1]+" "+dd[0]+" "+dd[3]+":"+dd[4]+":"+dd[5]+" "+(dz!=null?" "+dz[1]+"00":"") )
        datecache[row.todate] = d;
      }
      ifd.val[row.name].todate=datecache[row.todate];

      if( peak_rate_cache[row.peakdef] == null )
        peak_rate_cache[row.peakdef]=peak_rate_parse(row.peakdef);
      ifd.val[row.name].peakdef=peak_rate_cache[row.peakdef];
    }
  }

// Preload all cdr charges.
  var months=['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'];
  var counters={};
  pgres = pgconn.exec('SELECT * FROM rate_pfx');
  if( pgres!=null && pgres.success ) {
    for( var r=0; r<pgres.numRows; r++ ) {
      var row = pgres.fetchRowObject(r);
      var n = row.name;
      var q = row.qualifier+row.rate;
      var p = row.prefix.slice(0,1);
      row.len = row.prefix.replace(/\.\$/g,"").length;
      row.prefix = row.prefix.replace(/\*/g,"\\*");
      if( ifd.chg[n] == null ) {
        ifd.chg[n] = {};
        counters[n] = {};
      }
      if( ifd.chg[n][q] == null ) {
        ifd.chg[n][q] = {};
        counters[n][q] = {};
      }
      if( ifd.chg[n][q][p] == null ) {
        ifd.chg[n][q][p] = [];
        counters[n][q][p] = 0;
      }
      var c = counters[n][q][p]++;
      ifd.chg[n][q][p][c]=row;

// rb.debug.write("preloaded "+ifd.chg[q][p][c].toSource()+"<br>\n");
    }
  } else
    rb.debug.write(pgres.error+"<br>\n");
  rb.debug.write("preloaded "+pgres.numRows+" charge rows<br>\n");
}

timer2=new Date();
rb.debug.write("loaded infofromdst2 in "+(timer2-timer1)/1000+"s<br>\n");

