#!/usr/bin/perl -w

use strict;
use Time::Local;

print "Content-Type: text/plain\r\n\r\n";

(my $LINK = $ENV{REQUEST_URI}) =~ s/^.*\///;

my @today = localtime(time);
my @yeste = localtime(time-86400);
my @week1 = localtime(time-(86400*7));
my @week2 = localtime(time-(86400*14));
my @week3 = localtime(time-(86400*21));
my @week4 = localtime(time-(86400*28));

my $today = timelocal(0,0,0,@today[3..5]);
my $yeste = timelocal(0,0,0,@yeste[3..5]);
my $week1 = timelocal(0,0,0,@week1[3..5]);
my $week2 = timelocal(0,0,0,@week2[3..5]);
my $week3 = timelocal(0,0,0,@week3[3..5]);
my $week4 = timelocal(0,0,0,@week4[3..5]);

my($tt, $ty, $t1, $t2, $t3, $t4) = (0, 0, 0, 0, 0, 0);

foreach my $f ( glob "/var/spool/asterisk/monitor/*.wav" ) {
	next if( $f =~ /.*-(in|out).wav$/ );
	(my $fdate = $f) =~ s/^[^-]+-(\d+)-[^-]*-[^-]*.*$/$1/;
	next if( $fdate !~ /^\d+$/ );
	my $fs = (stat($f))[7];
	if( $week3 > $fdate && $fdate >= $week4 ) { $t4 += $fs; }
	if( $week2 > $fdate && $fdate >= $week3 ) { $t3 += $fs; }
	if( $week1 > $fdate && $fdate >= $week2 ) { $t2 += $fs; }
	if( $today > $fdate && $fdate >= $week1 ) { $t1 += $fs; }
	if( $today > $fdate && $fdate >= $yeste ) { $ty += $fs; }
	if( $fdate >= $today ) { $tt += $fs; }
}
print "tt: ".$tt."\n";
print "ty: ".$ty."\n";
print "t1: ".$t1."\n";
print "t2: ".$t2."\n";
print "t3: ".$t3."\n";
print "t4: ".$t4."\n";
foreach my $f ( glob "/var/www/html/link/[0-9a-f]*.cgi" ) {
	unlink $f;
}
if( symlink "/var/www/html/cgi-bin/monitor.pl","/var/www/html/link/${LINK}.cgi" ) {
	exit 0;
}
exit -1;
