// <!--
// (c) 2005-2008 IP Cortex Ltd.
// All rights reserved.  Unauthorised copying is not permitted.
// 
// -->
var extern_cache={};
var extern_list={};
var target_cache=null;
var mailbox_cache=null;
var login_cache={};
var mailbox_lines=null;
var contact_names=null;
var unowned_phones={};
var zaptelmap=null;
var zaptelunmap=null;
var emailmap={};
var cdata=null;

function zaptel_map(m,p) {
  if (zaptelmap == null && pgconn) {
    zaptelmap={};
    zaptelunmap={};
    var pgres=pgconn.exec("SELECT name, mac, port FROM phone JOIN phone_type ON phone.phone_type=phone_type.phone_type WHERE is_zap = TRUE ORDER BY mac, port");
    if( pgres!=null && pgres.success && pgres.numRows>0 ) {
      for( var i=0; i<pgres.numRows; i++ ) {
        var row=pgres.fetchRowObject(i);
        zaptelmap[row.mac+row.port]=DB.get_attrib("channelbank_start",13)-0+i;
        zaptelunmap[DB.get_attrib("channelbank_start",13)-0+i]={mac:row.mac, port:row.port, name:row.name};
      }
    }
  }
  return zaptelmap[m+p];
}

function zaptel_unmap(n) {
  if( zaptelunmap == null )
    zaptel_map();
  return zaptelunmap[n];
}

function load_contacts(com_ID) {
  if( contact_names != null )
    return;
  contact_names={};

  var user_com=rb.contact.communityInfo(-1,"user");
  var communities=[user_com.ID];
  if( com_ID != null )
    communities.push(com_ID);
  var it_users=rb.contact.get([],{searchOU:0,searchIndividual:1,searchCommunity:0,isIn:communities,inAll:1,maxRows:999});
  while( it_users.getNextRow() )
    if( it_users.uName != "admin" )
      contact_names[it_users.ID]={name:it_users.name, email:it_users.email, customData:it_users.customData};
}

function load_cdata() {
  if( cdata != null )
    return;
  cdata={};

  var it_users=rb.contact.get(["company-"],{searchIndividual:0,searchCommunity:0,searchOU:1,searchuName:1,sort:"name",maxRows:999});
  while( it_users.getNextRow() )
    cdata[it_users.uName.substr(8)]={customData:it_users.customData};
}

function identify_login(mac,port) {
  if( port == null )
    port="0";
  if( login_cache[mac+port] != null )
    return login_cache[mac+port];
  if (pgconn) {
    var last = null;
    var seq = 0;
    var pgres=pgconn.exec("SELECT translate(lower(name),' _','') AS name, mac, port FROM phone ORDER BY 1, 2, 3");
    if( pgres!=null && pgres.success && pgres.numRows>0 ) {
      for( var i=0; i<pgres.numRows; i++ ) {
        var row=pgres.fetchRowObject(i);
        if( row.name != last )
          seq=0;
        else
          seq++;
        last = row.name;
        if( seq == 0 && last == 'general' )
          seq++;
        if( seq == 0 )
          login_cache[row.mac+row.port]=row.name;
        else
          login_cache[row.mac+row.port]=row.name+"."+(seq+1).toString();
      }
    }
  }
  if( login_cache[mac+port] != null )
     return login_cache[mac+port];
  return ""+mac+port;
}

// Use this if several mailbox queries will be carried out!
function identify_mailbox_many(mac,port) {
  if( port == null )
    port=0;
  
  if (mailbox_cache==null && pgconn) {
    load_contacts();
    load_cdata();
    var pgres=pgconn.exec("SELECT phone.mac, phone.port, phone.can_hotdesk as pch, phone.company as pcom, "+
              "                   virt_exten.*, contact.*, phone_type.*, contact_group.*"+
              " FROM virt_exten"+
              " JOIN exten_contact"+
              "   ON exten_contact.virt_exten=virt_exten.virt_exten"+
              " JOIN contact"+
              "   ON contact.contact_id=exten_contact.contact_id"+
              " JOIN contact_phone"+
              "   ON contact.contact_id=contact_phone.contact_id"+
              "  AND contact_phone.is_forward = 0"+
              " JOIN phone"+
              "   ON contact_phone.mac=phone.mac"+
              "  AND contact_phone.port=phone.port"+
              "  AND phone.mac !='__EXTERNAL__'"+
              " LEFT JOIN phone_type"+
              "   ON phone_type.phone_type=phone.phone_type"+
              " LEFT JOIN contact_group"+
              "   ON contact.contact_id=contact_group.contact_id"+
              " WHERE ring_type IN('A','H','Q','F')"+
              " ORDER BY"+
              "   phone.mac, phone.port, priority, virt_exten.virt_exten, contact.contact_id");
    var last_mac=null;
    var com_data=null;
    var last_pch='f';
    mailbox_cache={};
    mailbox_lines={};
    if( pgres!=null && pgres.success && pgres.numRows > 0 ) {
      for( var r=0; r<pgres.numRows; r++ ) {
        var row=pgres.fetchRowObject(r);

// If this is a new mac/port...
        if( last_mac != row.mac+row.port ) {
          if( last_mac != null ) {
            if( result[0] == null ) {
              if( last_pch != 't' ) {
                result.shift();
                unowned_phones[last_mac]=1;
              } else {
                var hd_cid=DB.get_attrib("hotdesk-placeholder-cid","");
                if( _rb$mode.company>0 && com_data!=null && com_data.customData!=null && com_data.customData.hd_cid != null )
                  hd_cid=com_data.customData.hd_cid;
                result[0] = {name:"Hotdesk", exten:hd_cid};
              }
            }
            if( result[0] == null || result[0].exten == null ) {
              result[0] = saveme;
            }
            if( result[0] == null )
              result[0]={};
            if( pickups !=null && pickups.length > 0 )
              result[0].pickups=pickups.join(",");
            if( num_lines > 2 && result[num_lines-1] != null ) {
              if( result[num_lines-2] != null ) {
                // result[num_lines-2].exten+=", "+result[num_lines-1].exten;
                result[num_lines-2].exten=null;
                result[num_lines-2].mbox=null;
                result[num_lines-2].moh=null;
                result[num_lines-2].name=null;
              } else {
                result[num_lines-2] = result[num_lines-1];
              }
            }
            result[num_lines-1]=null;
            mailbox_cache[last_mac]=result;
          }
          last_mac = row.mac+row.port;
          last_pch = row.pch;
          com_data = cdata[row.pcom];
          pos=1;
          saveme=null;
          pickups=[];
          last_ext=null;
          if( row.num_lines !=null && row.num_lines > 0 )
            num_lines = row.num_lines+1;
          else
            num_lines = DB.get_attrib("num_lines_per_phone",1)-0+1;
          mailbox_lines[last_mac]=num_lines;

          last_line = num_lines-1; // last_line is zero based
          result=[];
        }

        if( row.group_id!=null && row.owned_phone!=null && row.owned_phone+row.owned_port==last_mac && row.owned_extension!=null && row.owned_extension==row.virt_exten)
          pickups.push(row.group_id);
        if( row.virt_exten == last_ext )
          continue;
        last_ext=row.virt_exten;
        if( result[0]==null && row.owned_phone!=null && row.owned_phone+row.owned_port==last_mac && row.owned_extension!=null && row.owned_extension==row.virt_exten) {
          result[0]=new Object;
          result[0].exten=row.virt_exten;
	  if( row.voicemail_mon < 3 ) {
            result[0].mbox=row.voicemail_box;
            if( _rb$mode.company > 0 && row.voicemail_box!=null && row.voicemail_box.length>0 )
              result[0].mbox+="@"+row.company;
	  } else
            result[0].mbox=null;
          if( _rb$mode.moh > 0 && row.moh_out > 0 )
            result[0].moh="moh-"+row.company+"-"+row.moh_out;
	  else if( _rb$mode.moh > 0 && _rb$mode.company > 0 )
            result[0].moh="moh-"+row.company;
          result[0].name=contact_names[row.contact_id].name;
          result[0].id=row.contact_id;
          result[0].passwd=row.passwd;
          continue;
        }
// If we want no line allocation for this extension (owned line is exception)
        if( row.priority == null )
          continue;

        var ext_name = (row.name!=null && row.name.length>0)?row.name:contact_names[row.contact_id].name;
        if( result[pos]==null && pos<=last_line ) {
          result[pos]=new Object;
          result[pos].exten=row.virt_exten;
	  if( row.voicemail_mon < 2 ) {
            result[pos].mbox=row.voicemail_box;
            if( _rb$mode.company > 0 && row.voicemail_box!=null && row.voicemail_box.length>0 )
              result[pos].mbox+="@"+row.company;
	  } else
            result[pos].mbox=null;
          if( _rb$mode.moh > 0 && row.moh_out > 0 )
            result[pos].moh="moh-"+row.company+"-"+row.moh_out;
	  else if( _rb$mode.moh > 0 && _rb$mode.company > 0 )
            result[pos].moh="moh-"+row.company;
          result[pos].name=ext_name;
          result[pos].passwd=row.passwd;
        } else {
          if( result[pos] != null && saveme == null ) {
            saveme={exten:result[pos].exten, mbox:result[pos].mbox, moh:result[pos].moh, name:result[pos].name, passwd:result[pos].passwd};
          }
          // result[pos].exten+=", "+row.virt_exten;
          result[pos].exten=null;
          result[pos].mbox=null;
          result[pos].moh=null;
          result[pos].name=null;
        }
        if( pos < last_line )
          pos++;
      }
      if( result[0] == null ) {
        if( last_pch != 't' ) {
          result.shift();
          unowned_phones[last_mac]=1;
        } else {
          var hd_cid=DB.get_attrib("hotdesk-placeholder-cid","");
          if( _rb$mode.company>0 && com_data!=null && com_data.customData!=null && com_data.customData.hd_cid != null )
            hd_cid=com_data.customData.hd_cid;
          result[0] = {name:"Hotdesk", exten:hd_cid};
        }
      }
      if( result[0] == null || result[0].exten == null ) {
        result[0] = saveme;
      }
      if( result[0] == null )
        result[0]={};
      if( pickups !=null && pickups.length > 0 )
        result[0].pickups=pickups.join(",");
      if( num_lines > 2 && result[num_lines-1] != null ) {
        if( result[num_lines-2] != null ) {
          // result[num_lines-2].exten+=", "+result[num_lines-1].exten;
          result[num_lines-2].exten=null;
          result[num_lines-2].mbox=null;
          result[num_lines-2].moh=null;
          result[num_lines-2].name=null;
        } else {
          result[num_lines-2] = result[num_lines-1];
        }
      }
      result[num_lines-1]=null;
      mailbox_cache[row.mac+row.port+'']=result;
    }
    pgres=pgconn.exec("SELECT phone.mac, phone.port, phone.can_hotdesk as pch, phone.company as pcom, phone_type.*,"+
                      "       contact.*, contact_phone.is_forward, virt_exten.voicemail_box, virt_exten.moh_out,"+
		      "       virt_exten.voicemail_mon"+
                      " FROM phone"+
                      " LEFT JOIN phone_type"+
                      "   ON phone_type.phone_type=phone.phone_type"+
                      " LEFT JOIN contact_phone"+
                      "   ON contact_phone.mac=phone.mac"+
                      "  AND contact_phone.port=phone.port"+
                      "  AND contact_phone.is_forward=2"+
                      " LEFT JOIN contact"+
                      "   ON contact_phone.contact_id=contact.contact_id"+
                      " LEFT JOIN virt_exten"+
                      "   ON virt_exten.virt_exten = contact.owned_extension");
    if( pgres!=null && pgres.success ) {
      for( var r=0; r<pgres.numRows; r++ ) {
        var row=pgres.fetchRowObject(r);
        result=mailbox_cache[row.mac+row.port+''];
        if( result==null ) {
          result=[];
          if( row.pch != 't' ) {
            unowned_phones[row.mac+row.port]=1;
          } else {
            var hd_cid=DB.get_attrib("hotdesk-placeholder-cid","");
            if( _rb$mode.company>0 && com_data!=null && com_data.customData!=null && com_data.customData.hd_cid != null )
              hd_cid=com_data.customData.hd_cid;
            result[0] = {name:"Hotdesk", exten:hd_cid};
          }
          if( row.num_lines !=null && row.num_lines > 0 )
            num_lines = row.num_lines;
          else
            num_lines = DB.get_attrib("num_lines_per_phone",1)-0;
          mailbox_lines[row.mac+row.port+'']=num_lines;
          mailbox_cache[row.mac+row.port+'']=result;
        }
        if( row.is_forward == 2 && row.contact_id != null && row.pch == 't') {
          result[0].hd_name=contact_names[row.contact_id].name;
          result[0].hd_exten=row.owned_extension;
          if( row.voicemail_mon < 3 ) {
            result[0].hd_mbox=row.voicemail_box;
            if( _rb$mode.company > 0 && row.voicemail_box!=null && row.voicemail_box.length>0 )
              result[0].hd_mbox+="@"+row.company;
	  } else
	    result[0].hd_mbox=null;
          if( _rb$mode.moh > 0 && row.moh_out > 0 )
            result[0].hd_moh="moh-"+row.company+"-"+row.moh_out;
	  else if( _rb$mode.moh > 0 && _rb$mode.company > 0 )
            result[0].hd_moh="moh-"+row.company;
          mailbox_cache[row.mac+row.port+'']=result;
        }
      }
    }
//   rb.page.write("mailbox_cache="+mailbox_cache.toSource()+"\n");
//   rb.page.write("mailbox_lines="+mailbox_lines.toSource()+"\n");
//   rb.page.write("unowned_phones="+unowned_phones.toSource()+"\n");
  }
  result = mailbox_cache[mac+port];
  if( result == null )
    result=[];
  if( result[0] == null )
    result[0]={};
  return result;
}


// Efficient for a single query...
function identify_mailbox(mac,port) {
  if( port == null )
    port=0;
  var result=[];
  var num_lines = DB.get_attrib("num_lines_per_phone",1)-0+1;
  var last_line = num_lines-1; // last_line is zero based
  var pch="f";
  var com_data=null;

  if (pgconn) {
    load_contacts();
    var pgres=pgconn.exec("SELECT phone.can_hotdesk as pch, phone.company as pcom, "+
              "                   virt_exten.*, contact.*,phone_type.*, contact_group.*"+
              " FROM virt_exten"+
              " JOIN exten_contact"+
              "   ON exten_contact.virt_exten=virt_exten.virt_exten"+
              " JOIN contact"+
              "   ON contact.contact_id=exten_contact.contact_id"+
              " JOIN contact_phone"+
              "   ON contact.contact_id=contact_phone.contact_id"+
              " JOIN phone"+
              "   ON contact_phone.mac=phone.mac"+
              "  AND contact_phone.port=phone.port"+
              "  AND phone.mac!='__EXTERNAL__'"+
              " LEFT JOIN phone_type"+
              "   ON phone_type.phone_type=phone.phone_type"+
              " LEFT JOIN contact_group"+
              "   ON contact.contact_id=contact_group.contact_id"+
              " WHERE is_forward = 0"+
              " AND ring_type IN('A','H','Q')"+
              " AND contact_phone.mac='"+PgsqlConnection.escape(mac)+"'"+
              " AND contact_phone.port="+PgsqlConnection.escape(port)+
              " ORDER BY"+
              "   priority,virt_exten.virt_exten,exten_contact.contact_id");
    if( pgres!=null && pgres.success && pgres.numRows > 0 ) {
      var pos=1;
      var saveme=null;
      var pickups=[];
      var last_ext=null;
      var row=pgres.fetchRowObject(0);
      if( row.num_lines !=null && row.num_lines>0 ) {
        num_lines = row.num_lines+1;
        last_line = num_lines-1; // last_line is zero based
      }
      pch=row.pch;
      com_data=rb.contact.OUInfo(-1,"company-"+row.pcom);
      for( var r=0; r<pgres.numRows; r++ ) {
        var row=pgres.fetchRowObject(r);

        if( row.group_id!=null && row.owned_phone!=null && row.owned_phone+row.owned_port==mac+port && row.owned_extension!=null && row.owned_extension==row.virt_exten)
          pickups.push(row.group_id);
        if( row.virt_exten == last_ext )
          continue;
        last_ext=row.virt_exten;
        if( result[0]==null && row.owned_phone!=null && row.owned_phone+row.owned_port==mac+port && row.owned_extension!=null && row.owned_extension==row.virt_exten) {
          result[0]=new Object;
          result[0].exten=row.virt_exten;
	  if( row.voicemail_mon < 3 ) {
            result[0].mbox=row.voicemail_box;
            if( _rb$mode.company > 0 && row.voicemail_box!=null && row.voicemail_box.length>0 )
              result[0].mbox+="@"+row.company;
	  } else
            result[0].mbox=null;
          if( _rb$mode.moh > 0 && row.moh_out > 0 )
            result[0].moh="moh-"+row.company+"-"+row.moh_out;
	  else if( _rb$mode.moh > 0 && _rb$mode.company > 0 )
            result[0].moh="moh-"+row.company;
          result[0].name=contact_names[row.contact_id].name;
          result[0].id=row.contact_id;
          result[0].passwd=row.passwd;
          continue;
        }
// If we have only one line, then we're basically done.
//         if( last_line == 0 )
//           continue;
// If we want no line allocation for this extension (owned line is exception)
        if( row.priority == null )
          continue;

        var ext_name = (row.name!=null && row.name.length>0)?row.name:contact_names[row.contact_id].name;
        if( result[pos]==null && pos<=last_line ) {
          result[pos]=new Object;
          result[pos].exten=row.virt_exten;
	  if( row.voicemail_mon < 2 ) {
            result[pos].mbox=row.voicemail_box;
            if( _rb$mode.company > 0 && row.voicemail_box!=null && row.voicemail_box.length>0 )
              result[pos].mbox+="@"+row.company;
	  } else
	    result[pos].mbox=null;
          if( _rb$mode.moh > 0 && row.moh_out > 0 )
            result[pos].moh="moh-"+row.company+"-"+row.moh_out;
	  else if( _rb$mode.moh > 0 && _rb$mode.company > 0 )
            result[pos].moh="moh-"+row.company;
          result[pos].name=ext_name;
          result[pos].passwd=row.passwd;
        } else {
          if( result[pos] != null && saveme == null )
            saveme={exten:result[pos].exten, mbox:result[pos].mbox, moh:result[pos].moh, name:result[pos].name, passwd:result[pos].passwd};
          // result[pos].exten+=", "+row.virt_exten;
          result[pos].exten=null;
          result[pos].mbox=null;
          result[pos].moh=null;
          result[pos].name=null;
        }
        if( pos < last_line )
          pos++;
      }
    } else if( pgres!=null && pgres.success && pgres.numRows == 0 ) {
      pgres=pgconn.exec("SELECT phone.can_hotdesk as pch, phone.company as pcom "+
              " FROM phone"+
              " WHERE phone.mac='"+PgsqlConnection.escape(mac)+"'"+
              " AND phone.port="+PgsqlConnection.escape(port));
      if( pgres!=null && pgres.success && pgres.numRows > 0 ) {
        var row=pgres.fetchRowObject(0);
        pch=row.pch;
        com_data=rb.contact.OUInfo(-1,"company-"+row.pcom);
      }
    }
  }
  if( result[0] == null ) {
    if( pch != 't' ) {
      result.shift();
      unowned_phones[mac+port]=1;
    } else {
      var hd_cid=DB.get_attrib("hotdesk-placeholder-cid","");
      if( _rb$mode.company>0 && com_data!=null && com_data.customData!=null && com_data.customData.hd_cid != null )
        hd_cid=com_data.customData.hd_cid;
      result[0] = {name:"Hotdesk", exten:hd_cid};
    }
  }
  if( result[0] == null || result[0].exten == null )
    result[0] = saveme;
  if( result[0] == null )
    result[0]={};
  if( pickups !=null && pickups.length > 0 )
    result[0].pickups=pickups.join(",");
  if( num_lines > 2 && result[num_lines-1] != null ) {
    if( result[num_lines-2] != null ) {
      // result[num_lines-2].exten+=", "+result[num_lines-1].exten;
      result[num_lines-2].exten=null;
      result[num_lines-2].mbox=null;
      result[num_lines-2].moh=null;
      result[num_lines-2].name="Various";
    } else {
      result[num_lines-2] = result[num_lines-1];
    }
  }
  result[num_lines-1]=null;
// rb.debug.write(result.toSource()+"\n");
  return result;
}

function identify_external(ext) {
  if (extern_cache[ext]==null && pgconn) {
    var pgres=pgconn.exec("SELECT DISTINCT virt_exten.virt_exten,dialcode,number"+
              " FROM virt_exten"+
              " LEFT JOIN inbound_nos"+
              "   ON inbound_nos.virt_exten=virt_exten.virt_exten"+
              " ORDER BY virt_exten.virt_exten");
    if( pgres!=null && pgres.success && pgres.numRows > 0 ) {
      extern_cache={};
      for( var r=0; r<pgres.numRows; r++ ) {
        var row=pgres.fetchRowObject(r);
        extern_list[row.dialcode+row.number]=1;
        if( row.dialcode == null )
          continue;
        if( extern_cache[row.virt_exten] != null )
          continue;
        extern_cache[row.virt_exten] = [];

        if( row.dialcode.search(/^0[1-9]/) != -1 && DB.get_attrib("local_countrycode",44)+row.dialcode.substr(1)+row.number != row.virt_exten )
          extern_cache[row.virt_exten].push(DB.get_attrib("local_countrycode",44)+row.dialcode.substr(1)+row.number);
        if( row.dialcode+row.number != row.virt_exten )
          extern_cache[row.virt_exten].push(row.dialcode+row.number);
        if( row.number != row.virt_exten )
          extern_cache[row.virt_exten].push(row.number);
        var inb_len=DB.get_attrib("inbound_digits",6);
        if( row.number.length != inb_len && (row.dialcode+row.number).length > inb_len && (row.dialcode+row.number).slice(-1*inb_len) != row.virt_exten ) {
          extern_cache[row.virt_exten].push((row.dialcode+row.number).slice(-1*inb_len));
        }
      }
    }
  }
  var result=[];
  if( extern_cache[ext] != null )
    result = extern_cache[ext];
  return result;
}

function identify_targets(ext) {
  if( target_cache == null )
    fill_target_cache();

  if( target_cache[ext] == null )
    return [];
  return target_cache[ext];
}

function fill_target_cache() {
  target_cache={};
// indexed by extension number, holds an array of:
// [ 0:line-no index, 1:login, 2:hunt order, 3:ring_type, 4:vm-box, 5:contact-id, 6:ddi-dialcode, 7:ddi-number, 8:device mac/port, 9:owner-line (1=true), 10:moh_in number, 11:vacation target ]

  if (pgconn) {
// First pull all inbound number records, and then pull the more complex stuff later.
    var pgres=pgconn.exec("SELECT virt_exten.virt_exten, dialcode, number"+
              " FROM virt_exten"+
              " JOIN inbound_nos"+
              "   ON inbound_nos.virt_exten = virt_exten.virt_exten"+
              " WHERE ring_type IN('A','H','Q','T')");
    if( pgres!=null && pgres.success && pgres.numRows > 0 ) {
      for( var r=0; r<pgres.numRows; r++ ) {
	var row=pgres.fetchRowObject(r);

        ext = row.virt_exten;
        if( target_cache[ext] == null )
          target_cache[ext]=[];

        if( row.dialcode!=null ) {
          dialcode = row.dialcode;
          number = row.number;
          target_cache[ext].push([null,null,null,null,null,null,dialcode,number,null,null,null,null]);
        }
      }
    }

// Not dealing with inbound numbers here removes an order of magnitude of complexity.
    var pgres=pgconn.exec("SELECT virt_exten.virt_exten, virt_exten.priority, phone.mac,"+
              "        contact.contact_id, ordered, is_forward, ring_type,"+
              "        owned_phone, phone.port, owned_port,"+
              "        voicemail_box AS vm, num_lines, owned_extension,"+
              "        phone.can_forward AS pcf, contact.can_forward AS ccf,"+
              "        phone.can_hotdesk AS pch, contact.can_hotdesk AS cch,"+
              "        moh_in, is_zap, vacation, vacation_mode, access"+
              " FROM virt_exten"+
              " JOIN exten_contact"+
              "   ON exten_contact.virt_exten=virt_exten.virt_exten"+
              " JOIN contact"+
              "   ON contact.contact_id=exten_contact.contact_id"+
              " LEFT JOIN contact_phone"+
              "   ON contact.contact_id=contact_phone.contact_id"+
              " LEFT JOIN phone"+
              "   ON contact_phone.mac=phone.mac"+
              "  AND contact_phone.port=phone.port"+
              " LEFT JOIN phone_type"+
              "   ON phone_type.phone_type=phone.phone_type"+
              " WHERE ring_type IN('A','H','Q','T','F')"+
              " ORDER BY"+
              "   mac,port,is_forward,priority,virt_exten.virt_exten,"+
              "   contact.contact_id");
    var phone={};    // Record of lines used per phone, except top line.
    var topphone={}; // Record of whether top line is used
    var extphone={}; // Record of whether phone/ext is seen yet
    if( pgres!=null && pgres.success && pgres.numRows > 0 ) {
      for( var r=0; r<pgres.numRows; r++ ) {
        var row={};
	row=pgres.fetchRowObject(r);

// Build the email map as we go.
        if( emailmap[row.virt_exten] == null )
          emailmap[row.virt_exten]={};
        if( contact_names[row.contact_id] != null && contact_names[row.contact_id].email != null && contact_names[row.contact_id].email != "" )
          emailmap[row.virt_exten][contact_names[row.contact_id].email] = true;
        if( row.ring_type == 'F' )
          continue;

// If this is a "forward" line, and forwarding is denied,
// pretend it does not exist.
        if( row.is_forward == 1 && (row.pcf=='f' || row.ccf=='f'))
          continue;
// If this is a "hotdesk" line, and hotdesking is denied,
// pretend it does not exist.
        if( row.is_forward == 2 && (row.pch=='f' || row.cch=='f'))
          continue;

        var num_lines=DB.get_attrib("num_lines_per_phone",1);
        if( row.num_lines != null && row.num_lines > 0 )
          num_lines = row.num_lines;
        var last_line = num_lines-1; // last_line is zero based

        var dialcode = null;
        var number = null;
        ext = row.virt_exten;
        if( target_cache[ext] == null )
          target_cache[ext]=[];
        var dev_id = row.mac+row.port;
        if( row.mac == "__EXTERNAL__" )
          dev_id=row.mac;

        if( row.is_zap != null && row.is_zap == 't' ) {
          dev_id = "__ZAPTELDEV_";
          num_lines = 1;
          last_line = num_lines-1;
        }

        // If we have no phone, then carry on...
        if( row.mac == null )
          continue;
        // Each Extension/Phone combo is only dealt with once.
        if( extphone[row.mac+row.port+row.virt_exten] != null )
          continue;

        extphone[row.mac+row.port+row.virt_exten] = 1;

        if( row.ordered == null )
          row.ordered = 99999;

        var ring_type = row.ring_type;
        var ordered = row.ordered;
        var vm = row.vm;
        var id = row.contact_id;
        var moh = row.moh_in;
        var vacation=null;
        var vacation_myext=null;
        var vacation_owned=null;
        var access = DB.get_attrib("phone_context","local");
        if( row.access != null && row.access != "" )
          access = row.access;
        if( row.vacation != null && row.vacation.length > 2 && row.vacation_mode != "off" ) {
          if( row.vacation_mode == "owned" )
            vacation_owned = "Local/"+row.vacation+"@"+access;
          else if( row.vacation_mode == "myext" )
            vacation_myext = vacation_owned = "Local/"+row.vacation+"@"+access;
          else if( row.vacation_mode == "all" )
            vacation = vacation_myext = vacation_owned = "Local/"+row.vacation+"@"+access;
        }
        var adjust=0;
        if( unowned_phones[row.mac+row.port] != null && num_lines > 1 )
          adjust=1;
        var login;
	if( dev_id == "__ZAPTELDEV_" )
          login=zaptel_map(row.mac,row.port);
        else 
          login=identify_login(row.mac,row.port);

        // Tannoy/Pager line, always dumps onto line zero.
        if( row.ring_type == 'T' ) {
          target_cache[ext].push([0,login,ordered,ring_type,vm,id,null,null,dev_id,null,moh,null]);
          continue;
        }

        // Anonymous line
        if( row.is_forward == 1 ) {
          if( row.virt_exten == ext )
            target_cache[ext].push([num_lines-1-adjust,login,ordered,ring_type,vm,id,null,null,dev_id,null,moh,null]);
          continue;
        }

        // Hotdesk line
        if( row.is_forward == 2 ) {
          target_cache[ext].push([0,login,ordered,ring_type,vm,id,null,null,dev_id,(row.virt_exten == row.owned_extension?num_lines:null),moh,(row.owned_extension!=null && row.virt_exten==row.owned_extension)?vacation_owned:vacation]);
          continue;
        }

        // Top line
        if( topphone[row.mac+row.port]==null && row.owned_extension!=null &&
                     row.virt_exten == row.owned_extension &&
                     row.owned_phone != null && row.mac+row.port == row.owned_phone+row.owned_port ) {
          topphone[row.mac+row.port]=1;
          if( unowned_phones[row.mac+row.port] != null )
            rb.debug.write("ERROR: Unowned phone using line 0!\n");
          target_cache[ext].push([0,login,ordered,ring_type,vm,id,null,null,dev_id,num_lines,moh,vacation_owned]);
          continue;
        }

        // In-between line, but priority is null, so sent to top line anyway.
        if( row.priority == null ) {
          target_cache[ext].push([0,login,ordered,ring_type,vm,id,null,null,dev_id,null,moh,(row.owned_extension!=null && row.virt_exten==row.owned_extension)?vacation_myext:vacation]);
          continue;
        }
        // In-between lines, normal case...
        if( phone[row.mac+row.port] == null )
          phone[row.mac+row.port] = 1;
        else
          phone[row.mac+row.port]++;
        if( phone[row.mac+row.port] > last_line )
          phone[row.mac+row.port] = last_line;
        var line=phone[row.mac+row.port];
        target_cache[ext].push([line-adjust,login,ordered,ring_type,vm,id,null,null,dev_id,null,moh,(row.owned_extension!=null && row.virt_exten==row.owned_extension)?vacation_myext:vacation]);
      }

      for( var x in target_cache ) {
        target_cache[x].sort(function(a,b){ if( a[2] == b[2] )
                                   if( a[5] == b[5] )
                                     return 0;
                                   else
                                     return a[5]<b[5]?-1:1;
                                 else
                                   return a[2]<b[2]?-1:1;
                               });
      }
    }
  }
}
