  <!-- System Configuration -->

  <Restricted_Access_Domains        ua="na"> 
  </Restricted_Access_Domains>

  <Enable_Web_Server                ua="na"> Yes
  </Enable_Web_Server>

  <Web_Server_Port                  ua="na"> 80
  </Web_Server_Port>

  <Enable_Web_Admin_Access          ua="na"> Yes
  </Enable_Web_Admin_Access>

  <!-- Optional Network Configuration -->

  <DNS_Query_Mode                   ua="na"> Parallel
  </DNS_Query_Mode>
  <!-- options: Parallel/Sequential -->

  <Syslog_Server                    ua="na"> 
  </Syslog_Server>

  <Debug_Server                     ua="na"> 
  </Debug_Server>

  <Debug_Level                      ua="na"> 0
  </Debug_Level>
  <!-- options: 0/1/2/3 -->

  <Secondary_NTP_Server             ua="na"> 
  </Secondary_NTP_Server>


  <!-- Configuration Profile -->

  <Provision_Enable                 ua="na"> Yes
  </Provision_Enable>

  <Resync_On_Reset                  ua="na"> Yes
  </Resync_On_Reset>

  <Resync_Random_Delay              ua="na"> 2
  </Resync_Random_Delay>

  <Resync_Periodic                  ua="na"> 600
  </Resync_Periodic>

  <Resync_Error_Retry_Delay         ua="na"> 120
  </Resync_Error_Retry_Delay>

  <Forced_Resync_Delay              ua="na"> 14400
  </Forced_Resync_Delay>

  <Resync_From_SIP                  ua="na"> No
  </Resync_From_SIP>

  <Resync_After_Upgrade_Attempt     ua="na"> Yes
  </Resync_After_Upgrade_Attempt>

  <Resync_Trigger_1                 ua="na"> 
  </Resync_Trigger_1>

  <Resync_Trigger_2                 ua="na"> 
  </Resync_Trigger_2>

  <Resync_Fails_On_FNF              ua="na"> Yes
  </Resync_Fails_On_FNF>

  <Profile_Rule_B                   ua="na"> 
  </Profile_Rule_B>

  <Profile_Rule_C                   ua="na"> 
  </Profile_Rule_C>

  <Profile_Rule_D                   ua="na"> 
  </Profile_Rule_D>

  <Log_Resync_Request_Msg           ua="na"> $PN $MAC -- Requesting resync $SCHEME://$SERVIP:$PORT$PATH
  </Log_Resync_Request_Msg>

  <Log_Resync_Success_Msg           ua="na"> $PN $MAC -- Successful resync $SCHEME://$SERVIP:$PORT$PATH
  </Log_Resync_Success_Msg>

  <Log_Resync_Failure_Msg           ua="na"> $PN $MAC -- Resync failed: $ERR
  </Log_Resync_Failure_Msg>

  <Report_Rule                      ua="na"> 
  </Report_Rule>


  <!-- Firmware Upgrade -->

  <Upgrade_Enable                   ua="na"> Yes
  </Upgrade_Enable>

  <Upgrade_Error_Retry_Delay        ua="na"> 3600
  </Upgrade_Error_Retry_Delay>

  <Downgrade_Rev_Limit              ua="na"> 
  </Downgrade_Rev_Limit>

  <Upgrade_Rule                     ua="na"> 
  </Upgrade_Rule>

  <Log_Upgrade_Request_Msg          ua="na"> $PN $MAC -- Requesting upgrade $SCHEME://$SERVIP:$PORT$PATH
  </Log_Upgrade_Request_Msg>

  <Log_Upgrade_Success_Msg          ua="na"> $PN $MAC -- Successful upgrade $SCHEME://$SERVIP:$PORT$PATH -- $ERR
  </Log_Upgrade_Success_Msg>

  <Log_Upgrade_Failure_Msg          ua="na"> $PN $MAC -- Upgrade failed: $ERR
  </Log_Upgrade_Failure_Msg>

  <License_Keys                     ua="na"> 
  </License_Keys>


  <!-- General Purpose Parameters -->

  <GPP_A                            ua="na"> 
  </GPP_A>

  <GPP_B                            ua="na"> 
  </GPP_B>

  <GPP_C                            ua="na"> 
  </GPP_C>

  <GPP_D                            ua="na"> 
  </GPP_D>

  <GPP_E                            ua="na"> 
  </GPP_E>

  <GPP_F                            ua="na"> 
  </GPP_F>

  <GPP_G                            ua="na"> 
  </GPP_G>

  <GPP_H                            ua="na"> 
  </GPP_H>

  <GPP_I                            ua="na"> 
  </GPP_I>

  <GPP_J                            ua="na"> 
  </GPP_J>

  <GPP_K                            ua="na"> 
  </GPP_K>

  <GPP_L                            ua="na"> 
  </GPP_L>

  <GPP_M                            ua="na"> 
  </GPP_M>

  <GPP_N                            ua="na"> 
  </GPP_N>

  <GPP_O                            ua="na"> 
  </GPP_O>

  <GPP_P                            ua="na"> 
  </GPP_P>

  <GPP_SA                           ua="na"> 
  </GPP_SA>

  <GPP_SB                           ua="na"> 
  </GPP_SB>

  <GPP_SC                           ua="na"> 
  </GPP_SC>

  <GPP_SD                           ua="na"> 
  </GPP_SD>


  <!-- SIP Parameters -->

  <Max_Forward                      ua="na"> 70
  </Max_Forward>

  <Max_Redirection                  ua="na"> 5
  </Max_Redirection>

  <Max_Auth                         ua="na"> 2
  </Max_Auth>

  <SIP_User_Agent_Name              ua="na"> $VERSION
  </SIP_User_Agent_Name>

  <SIP_Server_Name                  ua="na"> $VERSION
  </SIP_Server_Name>

  <SIP_Accept_Language              ua="na"> 
  </SIP_Accept_Language>

  <DTMF_Relay_MIME_Type             ua="na"> application/dtmf-relay
  </DTMF_Relay_MIME_Type>

  <Remove_Last_Reg                  ua="na"> No
  </Remove_Last_Reg>

  <Use_Compact_Header               ua="na"> No
  </Use_Compact_Header>

  <Escape_Display_Name              ua="na"> No
  </Escape_Display_Name>

  <SIP-B_Enable                     ua="na"> No
  </SIP-B_Enable>

  <Talk_Package                     ua="na"> No
  </Talk_Package>

  <Hold_Package                     ua="na"> No
  </Hold_Package>

  <Conference_Package               ua="na"> No
  </Conference_Package>

  <Notify_Conference                ua="na"> No
  </Notify_Conference>


  <!-- SIP Timer Values (sec) -->

  <SIP_T1                           ua="na"> .5
  </SIP_T1>

  <SIP_T2                           ua="na"> 4
  </SIP_T2>

  <SIP_T4                           ua="na"> 5
  </SIP_T4>

  <SIP_Timer_B                      ua="na"> 16
  </SIP_Timer_B>

  <SIP_Timer_F                      ua="na"> 16
  </SIP_Timer_F>

  <SIP_Timer_H                      ua="na"> 16
  </SIP_Timer_H>

  <SIP_Timer_D                      ua="na"> 16
  </SIP_Timer_D>

  <SIP_Timer_J                      ua="na"> 16
  </SIP_Timer_J>

  <INVITE_Expires                   ua="na"> 240
  </INVITE_Expires>

  <ReINVITE_Expires                 ua="na"> 30
  </ReINVITE_Expires>

  <Reg_Min_Expires                  ua="na"> 1
  </Reg_Min_Expires>

  <Reg_Max_Expires                  ua="na"> 7200
  </Reg_Max_Expires>

  <Reg_Retry_Intvl                  ua="na"> 30
  </Reg_Retry_Intvl>

  <Reg_Retry_Long_Intvl             ua="na"> 1200
  </Reg_Retry_Long_Intvl>

  <Sub_Min_Expires                  ua="na"> 10
  </Sub_Min_Expires>

  <Sub_Max_Expires                  ua="na"> 7200
  </Sub_Max_Expires>

  <Sub_Retry_Intvl                  ua="na"> 10
  </Sub_Retry_Intvl>


  <!-- Response Status Code Handling -->

  <SIT1_RSC                         ua="na"> 
  </SIT1_RSC>

  <SIT2_RSC                         ua="na"> 
  </SIT2_RSC>

  <SIT3_RSC                         ua="na"> 
  </SIT3_RSC>

  <SIT4_RSC                         ua="na"> 
  </SIT4_RSC>

  <Try_Backup_RSC                   ua="na"> 
  </Try_Backup_RSC>

  <Retry_Reg_RSC                    ua="na"> 
  </Retry_Reg_RSC>


  <!-- RTP Parameters -->

  <RTP_Port_Min                     ua="na"> 10000
  </RTP_Port_Min>

  <RTP_Port_Max                     ua="na"> 12499
  </RTP_Port_Max>

  <RTP_Port_Min_Mod2                ua="na"> 12500
  </RTP_Port_Min_Mod2>

  <RTP_Port_Max_Mod2                ua="na"> 14999
  </RTP_Port_Max_Mod2>

  <RTP_Port_Min_Mod3                ua="na"> 15000
  </RTP_Port_Min_Mod3>

  <RTP_Port_Max_Mod3                ua="na"> 17499
  </RTP_Port_Max_Mod3>

  <RTP_Port_Min_Mod4                ua="na"> 17500
  </RTP_Port_Min_Mod4>

  <RTP_Port_Max_Mod4                ua="na"> 20000
  </RTP_Port_Max_Mod4>

  <RTP_Packet_Size                  ua="na"> 0.020
  </RTP_Packet_Size>

  <Max_RTP_ICMP_Err                 ua="na"> 0
  </Max_RTP_ICMP_Err>

  <RTCP_Tx_Interval                 ua="na"> 0
  </RTCP_Tx_Interval>

  <No_UDP_Checksum                  ua="na"> No
  </No_UDP_Checksum>

  <Symmetric_RTP                    ua="na"> No
  </Symmetric_RTP>

  <Stats_In_BYE                     ua="na"> No
  </Stats_In_BYE>


  <!-- SDP Payload Types -->

  <AVT_Dynamic_Payload              ua="na"> 101
  </AVT_Dynamic_Payload>

  <INFOREQ_Dynamic_Payload          ua="na"> 
  </INFOREQ_Dynamic_Payload>

  <G726r16_Dynamic_Payload          ua="na"> 98
  </G726r16_Dynamic_Payload>

  <G726r24_Dynamic_Payload          ua="na"> 97
  </G726r24_Dynamic_Payload>

  <G726r40_Dynamic_Payload          ua="na"> 96
  </G726r40_Dynamic_Payload>

  <G729b_Dynamic_Payload            ua="na"> 99
  </G729b_Dynamic_Payload>

  <AVT_Codec_Name                   ua="na"> telephone-event
  </AVT_Codec_Name>

  <G711u_Codec_Name                 ua="na"> PCMU
  </G711u_Codec_Name>

  <G711a_Codec_Name                 ua="na"> PCMA
  </G711a_Codec_Name>

  <G726r16_Codec_Name               ua="na"> G726-16
  </G726r16_Codec_Name>

  <G726r24_Codec_Name               ua="na"> G726-24
  </G726r24_Codec_Name>

  <G726r32_Codec_Name               ua="na"> G726-32
  </G726r32_Codec_Name>

  <G726r40_Codec_Name               ua="na"> G726-40
  </G726r40_Codec_Name>

  <G729a_Codec_Name                 ua="na"> G729a
  </G729a_Codec_Name>

  <G729b_Codec_Name                 ua="na"> G729ab
  </G729b_Codec_Name>

  <G723_Codec_Name                  ua="na"> G723
  </G723_Codec_Name>


  <!-- NAT Support Parameters -->

  <Handle_VIA_received              ua="na"> No
  </Handle_VIA_received>

  <Handle_VIA_rport                 ua="na"> No
  </Handle_VIA_rport>

  <Insert_VIA_received              ua="na"> No
  </Insert_VIA_received>

  <Insert_VIA_rport                 ua="na"> No
  </Insert_VIA_rport>

  <Substitute_VIA_Addr              ua="na"> No
  </Substitute_VIA_Addr>

  <Send_Resp_To_Src_Port            ua="na"> No
  </Send_Resp_To_Src_Port>

  <STUN_Enable                      ua="na"> No
  </STUN_Enable>

  <STUN_Test_Enable                 ua="na"> No
  </STUN_Test_Enable>

  <STUN_Server                      ua="na"> 
  </STUN_Server>

  <EXT_IP                           ua="na"> 
  </EXT_IP>

  <EXT_RTP_Port_Min                 ua="na"> 
  </EXT_RTP_Port_Min>

  <EXT_RTP_Port_Min_Mod2            ua="na"> 
  </EXT_RTP_Port_Min_Mod2>

  <EXT_RTP_Port_Min_Mod3            ua="na"> 
  </EXT_RTP_Port_Min_Mod3>

  <EXT_RTP_Port_Min_Mod4            ua="na"> 
  </EXT_RTP_Port_Min_Mod4>

  <NAT_Keep_Alive_Intvl             ua="na"> 15
  </NAT_Keep_Alive_Intvl>


  <!-- General -->

  <Line_Enable_1_                   ua="na"> Yes
  </Line_Enable_1_>


  <!-- Share Line Appearance -->

  <Share_Ext_1_                     ua="na"> private
  </Share_Ext_1_>
  <!-- options: private/shared -->

  <Shared_User_ID_1_                ua="na"> 
  </Shared_User_ID_1_>

  <Subscription_Expires_1_          ua="na"> 3600
  </Subscription_Expires_1_>


  <!-- NAT Settings -->

  <NAT_Mapping_Enable_1_            ua="na"> No
  </NAT_Mapping_Enable_1_>

  <NAT_Keep_Alive_Enable_1_         ua="na"> No
  </NAT_Keep_Alive_Enable_1_>

  <NAT_Keep_Alive_Msg_1_            ua="na"> $NOTIFY
  </NAT_Keep_Alive_Msg_1_>

  <NAT_Keep_Alive_Dest_1_           ua="na"> $PROXY
  </NAT_Keep_Alive_Dest_1_>


  <!-- Network Settings -->

  <SIP_TOS_DiffServ_Value_1_        ua="na"> 0x68
  </SIP_TOS_DiffServ_Value_1_>

  <SIP_CoS_Value_1_                 ua="na"> 3
  </SIP_CoS_Value_1_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <RTP_TOS_DiffServ_Value_1_        ua="na"> 0xb8
  </RTP_TOS_DiffServ_Value_1_>

  <RTP_CoS_Value_1_                 ua="na"> 6
  </RTP_CoS_Value_1_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <Network_Jitter_Level_1_          ua="na"> high
  </Network_Jitter_Level_1_>
  <!-- options: low/medium/high/very high -->


  <!-- SIP Settings -->

  <SIP_Port_1_                      ua="na"> 5060
  </SIP_Port_1_>

  <SIP_100REL_Enable_1_             ua="na"> No
  </SIP_100REL_Enable_1_>

  <EXT_SIP_Port_1_                  ua="na"> 
  </EXT_SIP_Port_1_>

  <Auth_Resync-Reboot_1_            ua="na"> Yes
  </Auth_Resync-Reboot_1_>

  <SIP_Proxy-Require_1_             ua="na"> 
  </SIP_Proxy-Require_1_>

  <SIP_Remote-Party-ID_1_           ua="na"> No
  </SIP_Remote-Party-ID_1_>

  <Referor_Bye_Delay_1_             ua="na"> 4
  </Referor_Bye_Delay_1_>

  <Refer-To_Target_Contact_1_       ua="na"> Yes
  </Refer-To_Target_Contact_1_>

  <Referee_Bye_Delay_1_             ua="na"> 0
  </Referee_Bye_Delay_1_>

  <SIP_Debug_Option_1_              ua="na"> none
  </SIP_Debug_Option_1_>
  <!-- options: none/1-line/1-line excl. OPT/1-line excl. NTFY/1-line excl. REG/1-line excl. OPT|NTFY|REG/full/full excl. OPT/full excl. NTFY/full excl. REG/full excl. OPT|NTFY|REG -->

  <Refer_Target_Bye_Delay_1_        ua="na"> 0
  </Refer_Target_Bye_Delay_1_>

  <Sticky_183_1_                    ua="na"> No
  </Sticky_183_1_>


  <!-- Call Feature Settings -->

  <Blind_Attn-Xfer_Enable_1_        ua="na"> No
  </Blind_Attn-Xfer_Enable_1_>

  <MOH_Server_1_                    ua="na"> 
  </MOH_Server_1_>

  <Message_Waiting_1_               ua="na"> No
  </Message_Waiting_1_>

  <Auth_Page_1_                     ua="na"> No
  </Auth_Page_1_>

  <Default_Ring_1_                  ua="na"> 1
  </Default_Ring_1_>
  <!-- options: No Ring/1/2/3/4/5/6/7/8/9/10/User 1/User 2 -->

  <Auth_Page_Realm_1_               ua="na"> 
  </Auth_Page_Realm_1_>

  <Conference_Bridge_URL_1_         ua="na"> 
  </Conference_Bridge_URL_1_>

  <Auth_Page_Password_1_            ua="na"> 
  </Auth_Page_Password_1_>

  <Voice_Mail_Server__1__           ua="na"> 
  </Voice_Mail_Server__1__>

  <State_Agent__1__                 ua="na"> 
  </State_Agent__1__>

  <CFWD_Notify_Serv__1__            ua="na"> No
  </CFWD_Notify_Serv__1__>

  <CFWD_Notifier__1__               ua="na"> 
  </CFWD_Notifier__1__>


  <!-- Proxy and Registration -->

  <Use_Outbound_Proxy_1_            ua="na"> No
  </Use_Outbound_Proxy_1_>

  <Outbound_Proxy_1_                ua="na"> 
  </Outbound_Proxy_1_>

  <Use_OB_Proxy_In_Dialog_1_        ua="na"> Yes
  </Use_OB_Proxy_In_Dialog_1_>

  <Register_1_                      ua="na"> Yes
  </Register_1_>

  <Make_Call_Without_Reg_1_         ua="na"> No
  </Make_Call_Without_Reg_1_>

  <Register_Expires_1_              ua="na"> 3600
  </Register_Expires_1_>

  <Ans_Call_Without_Reg_1_          ua="na"> No
  </Ans_Call_Without_Reg_1_>

  <Use_DNS_SRV_1_                   ua="na"> No
  </Use_DNS_SRV_1_>

  <DNS_SRV_Auto_Prefix_1_           ua="na"> No
  </DNS_SRV_Auto_Prefix_1_>

  <Proxy_Fallback_Intvl_1_          ua="na"> 3600
  </Proxy_Fallback_Intvl_1_>


  <!-- Subscriber Information -->

  <Use_Auth_ID_1_                   ua="na"> No
  </Use_Auth_ID_1_>

  <Auth_ID_1_                       ua="na"> 
  </Auth_ID_1_>

  <Mini_Certificate_1_              ua="na"> 
  </Mini_Certificate_1_>

  <SRTP_Private_Key_1_              ua="na"> 
  </SRTP_Private_Key_1_>


  <!-- Audio Configuration -->

  <FAX_Passthru_Codec_1_               ua="na"> G711a
  </FAX_Passthru_Codec_1_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Preferred_Codec_1_               ua="na"> G711a
  </Preferred_Codec_1_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Use_Pref_Codec_Only_1_           ua="na"> No
  </Use_Pref_Codec_Only_1_>

  <G729a_Enable_1_                  ua="na"> Yes
  </G729a_Enable_1_>

  <G723_Enable_1_                   ua="na"> Yes
  </G723_Enable_1_>

  <G726-16_Enable_1_                ua="na"> Yes
  </G726-16_Enable_1_>

  <G726-24_Enable_1_                ua="na"> Yes
  </G726-24_Enable_1_>

  <G726-32_Enable_1_                ua="na"> Yes
  </G726-32_Enable_1_>

  <G726-40_Enable_1_                ua="na"> Yes
  </G726-40_Enable_1_>

  <Release_Unused_Codec_1_          ua="na"> Yes
  </Release_Unused_Codec_1_>

  <DTMF_Process_AVT_1_              ua="na"> Yes
  </DTMF_Process_AVT_1_>

  <Silence_Supp_Enable_1_           ua="na"> No
  </Silence_Supp_Enable_1_>

  <DTMF_Tx_Method_1_                ua="na"> Auto
  </DTMF_Tx_Method_1_>
  <!-- options: InBand/AVT/INFO/Auto/InBand+INFO/AVT+INFO -->


  <!-- Dial Plan -->

  <Enable_IP_Dialing_1_             ua="na"> No
  </Enable_IP_Dialing_1_>


  <!-- General -->

  <Line_Enable_2_                   ua="na"> Yes
  </Line_Enable_2_>


  <!-- Share Line Appearance -->

  <Share_Ext_2_                     ua="na"> private
  </Share_Ext_2_>
  <!-- options: private/shared -->

  <Shared_User_ID_2_                ua="na"> 
  </Shared_User_ID_2_>

  <Subscription_Expires_2_          ua="na"> 3600
  </Subscription_Expires_2_>


  <!-- NAT Settings -->

  <NAT_Mapping_Enable_2_            ua="na"> No
  </NAT_Mapping_Enable_2_>

  <NAT_Keep_Alive_Enable_2_         ua="na"> No
  </NAT_Keep_Alive_Enable_2_>

  <NAT_Keep_Alive_Msg_2_            ua="na"> $NOTIFY
  </NAT_Keep_Alive_Msg_2_>

  <NAT_Keep_Alive_Dest_2_           ua="na"> $PROXY
  </NAT_Keep_Alive_Dest_2_>


  <!-- Network Settings -->

  <SIP_TOS_DiffServ_Value_2_        ua="na"> 0x68
  </SIP_TOS_DiffServ_Value_2_>

  <SIP_CoS_Value_2_                 ua="na"> 3
  </SIP_CoS_Value_2_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <RTP_TOS_DiffServ_Value_2_        ua="na"> 0xb8
  </RTP_TOS_DiffServ_Value_2_>

  <RTP_CoS_Value_2_                 ua="na"> 6
  </RTP_CoS_Value_2_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <Network_Jitter_Level_2_          ua="na"> high
  </Network_Jitter_Level_2_>
  <!-- options: low/medium/high/very high -->


  <!-- SIP Settings -->

  <SIP_Port_2_                      ua="na"> 5061
  </SIP_Port_2_>

  <SIP_100REL_Enable_2_             ua="na"> No
  </SIP_100REL_Enable_2_>

  <EXT_SIP_Port_2_                  ua="na"> 
  </EXT_SIP_Port_2_>

  <Auth_Resync-Reboot_2_            ua="na"> Yes
  </Auth_Resync-Reboot_2_>

  <SIP_Proxy-Require_2_             ua="na"> 
  </SIP_Proxy-Require_2_>

  <SIP_Remote-Party-ID_2_           ua="na"> No
  </SIP_Remote-Party-ID_2_>

  <Referor_Bye_Delay_2_             ua="na"> 4
  </Referor_Bye_Delay_2_>

  <Refer-To_Target_Contact_2_       ua="na"> Yes
  </Refer-To_Target_Contact_2_>

  <Referee_Bye_Delay_2_             ua="na"> 0
  </Referee_Bye_Delay_2_>

  <SIP_Debug_Option_2_              ua="na"> none
  </SIP_Debug_Option_2_>
  <!-- options: none/1-line/1-line excl. OPT/1-line excl. NTFY/1-line excl. REG/1-line excl. OPT|NTFY|REG/full/full excl. OPT/full excl. NTFY/full excl. REG/full excl. OPT|NTFY|REG -->

  <Refer_Target_Bye_Delay_2_        ua="na"> 0
  </Refer_Target_Bye_Delay_2_>

  <Sticky_183_2_                    ua="na"> No
  </Sticky_183_2_>


  <!-- Call Feature Settings -->

  <Blind_Attn-Xfer_Enable_2_        ua="na"> No
  </Blind_Attn-Xfer_Enable_2_>

  <MOH_Server_2_                    ua="na"> 
  </MOH_Server_2_>

  <Message_Waiting_2_               ua="na"> No
  </Message_Waiting_2_>

  <Auth_Page_2_                     ua="na"> No
  </Auth_Page_2_>

  <Default_Ring_2_                  ua="na"> 1
  </Default_Ring_2_>
  <!-- options: No Ring/1/2/3/4/5/6/7/8/9/10/User 1/User 2 -->

  <Auth_Page_Realm_2_               ua="na"> 
  </Auth_Page_Realm_2_>

  <Conference_Bridge_URL_2_         ua="na"> 
  </Conference_Bridge_URL_2_>

  <Auth_Page_Password_2_            ua="na"> 
  </Auth_Page_Password_2_>

  <Voice_Mail_Server__2__           ua="na"> 
  </Voice_Mail_Server__2__>

  <State_Agent__2__                 ua="na"> 
  </State_Agent__2__>

  <CFWD_Notify_Serv__2__            ua="na"> No
  </CFWD_Notify_Serv__2__>

  <CFWD_Notifier__2__               ua="na"> 
  </CFWD_Notifier__2__>


  <!-- Proxy and Registration -->

  <Use_Outbound_Proxy_2_            ua="na"> No
  </Use_Outbound_Proxy_2_>

  <Outbound_Proxy_2_                ua="na"> 
  </Outbound_Proxy_2_>

  <Use_OB_Proxy_In_Dialog_2_        ua="na"> Yes
  </Use_OB_Proxy_In_Dialog_2_>

  <Register_2_                      ua="na"> Yes
  </Register_2_>

  <Make_Call_Without_Reg_2_         ua="na"> No
  </Make_Call_Without_Reg_2_>

  <Register_Expires_2_              ua="na"> 3600
  </Register_Expires_2_>

  <Ans_Call_Without_Reg_2_          ua="na"> No
  </Ans_Call_Without_Reg_2_>

  <Use_DNS_SRV_2_                   ua="na"> No
  </Use_DNS_SRV_2_>

  <DNS_SRV_Auto_Prefix_2_           ua="na"> No
  </DNS_SRV_Auto_Prefix_2_>

  <Proxy_Fallback_Intvl_2_          ua="na"> 3600
  </Proxy_Fallback_Intvl_2_>


  <!-- Subscriber Information -->

  <Use_Auth_ID_2_                   ua="na"> No
  </Use_Auth_ID_2_>

  <Auth_ID_2_                       ua="na"> 
  </Auth_ID_2_>

  <Mini_Certificate_2_              ua="na"> 
  </Mini_Certificate_2_>

  <SRTP_Private_Key_2_              ua="na"> 
  </SRTP_Private_Key_2_>


  <!-- Audio Configuration -->

  <FAX_Passthru_Codec_2_               ua="na"> G711a
  </FAX_Passthru_Codec_2_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Preferred_Codec_2_               ua="na"> G711a
  </Preferred_Codec_2_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Use_Pref_Codec_Only_2_           ua="na"> No
  </Use_Pref_Codec_Only_2_>

  <G729a_Enable_2_                  ua="na"> Yes
  </G729a_Enable_2_>

  <G723_Enable_2_                   ua="na"> Yes
  </G723_Enable_2_>

  <G726-16_Enable_2_                ua="na"> Yes
  </G726-16_Enable_2_>

  <G726-24_Enable_2_                ua="na"> Yes
  </G726-24_Enable_2_>

  <G726-32_Enable_2_                ua="na"> Yes
  </G726-32_Enable_2_>

  <G726-40_Enable_2_                ua="na"> Yes
  </G726-40_Enable_2_>

  <Release_Unused_Codec_2_          ua="na"> Yes
  </Release_Unused_Codec_2_>

  <DTMF_Process_AVT_2_              ua="na"> Yes
  </DTMF_Process_AVT_2_>

  <Silence_Supp_Enable_2_           ua="na"> No
  </Silence_Supp_Enable_2_>

  <DTMF_Tx_Method_2_                ua="na"> Auto
  </DTMF_Tx_Method_2_>
  <!-- options: InBand/AVT/INFO/Auto/InBand+INFO/AVT+INFO -->


  <!-- Dial Plan -->

  <Enable_IP_Dialing_2_             ua="na"> No
  </Enable_IP_Dialing_2_>


  <!-- General -->

  <Line_Enable_3_                   ua="na"> Yes
  </Line_Enable_3_>


  <!-- Share Line Appearance -->

  <Share_Ext_3_                     ua="na"> private
  </Share_Ext_3_>
  <!-- options: private/shared -->

  <Shared_User_ID_3_                ua="na"> 
  </Shared_User_ID_3_>

  <Subscription_Expires_3_          ua="na"> 3600
  </Subscription_Expires_3_>


  <!-- NAT Settings -->

  <NAT_Mapping_Enable_3_            ua="na"> No
  </NAT_Mapping_Enable_3_>

  <NAT_Keep_Alive_Enable_3_         ua="na"> No
  </NAT_Keep_Alive_Enable_3_>

  <NAT_Keep_Alive_Msg_3_            ua="na"> $NOTIFY
  </NAT_Keep_Alive_Msg_3_>

  <NAT_Keep_Alive_Dest_3_           ua="na"> $PROXY
  </NAT_Keep_Alive_Dest_3_>


  <!-- Network Settings -->

  <SIP_TOS_DiffServ_Value_3_        ua="na"> 0x68
  </SIP_TOS_DiffServ_Value_3_>

  <SIP_CoS_Value_3_                 ua="na"> 3
  </SIP_CoS_Value_3_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <RTP_TOS_DiffServ_Value_3_        ua="na"> 0xb8
  </RTP_TOS_DiffServ_Value_3_>

  <RTP_CoS_Value_3_                 ua="na"> 6
  </RTP_CoS_Value_3_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <Network_Jitter_Level_3_          ua="na"> high
  </Network_Jitter_Level_3_>
  <!-- options: low/medium/high/very high -->


  <!-- SIP Settings -->

  <SIP_Port_3_                      ua="na"> 5062
  </SIP_Port_3_>

  <SIP_100REL_Enable_3_             ua="na"> No
  </SIP_100REL_Enable_3_>

  <EXT_SIP_Port_3_                  ua="na"> 
  </EXT_SIP_Port_3_>

  <Auth_Resync-Reboot_3_            ua="na"> Yes
  </Auth_Resync-Reboot_3_>

  <SIP_Proxy-Require_3_             ua="na"> 
  </SIP_Proxy-Require_3_>

  <SIP_Remote-Party-ID_3_           ua="na"> No
  </SIP_Remote-Party-ID_3_>

  <Referor_Bye_Delay_3_             ua="na"> 4
  </Referor_Bye_Delay_3_>

  <Refer-To_Target_Contact_3_       ua="na"> Yes
  </Refer-To_Target_Contact_3_>

  <Referee_Bye_Delay_3_             ua="na"> 0
  </Referee_Bye_Delay_3_>

  <SIP_Debug_Option_3_              ua="na"> none
  </SIP_Debug_Option_3_>
  <!-- options: none/1-line/1-line excl. OPT/1-line excl. NTFY/1-line excl. REG/1-line excl. OPT|NTFY|REG/full/full excl. OPT/full excl. NTFY/full excl. REG/full excl. OPT|NTFY|REG -->

  <Refer_Target_Bye_Delay_3_        ua="na"> 0
  </Refer_Target_Bye_Delay_3_>

  <Sticky_183_3_                    ua="na"> No
  </Sticky_183_3_>


  <!-- Call Feature Settings -->

  <Blind_Attn-Xfer_Enable_3_        ua="na"> No
  </Blind_Attn-Xfer_Enable_3_>

  <MOH_Server_3_                    ua="na"> 
  </MOH_Server_3_>

  <Message_Waiting_3_               ua="na"> No
  </Message_Waiting_3_>

  <Auth_Page_3_                     ua="na"> No
  </Auth_Page_3_>

  <Default_Ring_3_                  ua="na"> 1
  </Default_Ring_3_>
  <!-- options: No Ring/1/2/3/4/5/6/7/8/9/10/User 1/User 2 -->

  <Auth_Page_Realm_3_               ua="na"> 
  </Auth_Page_Realm_3_>

  <Conference_Bridge_URL_3_         ua="na"> 
  </Conference_Bridge_URL_3_>

  <Auth_Page_Password_3_            ua="na"> 
  </Auth_Page_Password_3_>

  <Voice_Mail_Server__3__           ua="na"> 
  </Voice_Mail_Server__3__>

  <State_Agent__3__                 ua="na"> 
  </State_Agent__3__>

  <CFWD_Notify_Serv__3__            ua="na"> No
  </CFWD_Notify_Serv__3__>

  <CFWD_Notifier__3__               ua="na"> 
  </CFWD_Notifier__3__>


  <!-- Proxy and Registration -->

  <Use_Outbound_Proxy_3_            ua="na"> No
  </Use_Outbound_Proxy_3_>

  <Outbound_Proxy_3_                ua="na"> 
  </Outbound_Proxy_3_>

  <Use_OB_Proxy_In_Dialog_3_        ua="na"> Yes
  </Use_OB_Proxy_In_Dialog_3_>

  <Register_3_                      ua="na"> Yes
  </Register_3_>

  <Make_Call_Without_Reg_3_         ua="na"> No
  </Make_Call_Without_Reg_3_>

  <Register_Expires_3_              ua="na"> 3600
  </Register_Expires_3_>

  <Ans_Call_Without_Reg_3_          ua="na"> No
  </Ans_Call_Without_Reg_3_>

  <Use_DNS_SRV_3_                   ua="na"> No
  </Use_DNS_SRV_3_>

  <DNS_SRV_Auto_Prefix_3_           ua="na"> No
  </DNS_SRV_Auto_Prefix_3_>

  <Proxy_Fallback_Intvl_3_          ua="na"> 3600
  </Proxy_Fallback_Intvl_3_>


  <!-- Subscriber Information -->

  <Use_Auth_ID_3_                   ua="na"> No
  </Use_Auth_ID_3_>

  <Auth_ID_3_                       ua="na"> 
  </Auth_ID_3_>

  <Mini_Certificate_3_              ua="na"> 
  </Mini_Certificate_3_>

  <SRTP_Private_Key_3_              ua="na"> 
  </SRTP_Private_Key_3_>


  <!-- Audio Configuration -->

  <FAX_Passthru_Codec_3_               ua="na"> G711a
  </FAX_Passthru_Codec_3_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Preferred_Codec_3_               ua="na"> G711a
  </Preferred_Codec_3_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Use_Pref_Codec_Only_3_           ua="na"> No
  </Use_Pref_Codec_Only_3_>

  <G729a_Enable_3_                  ua="na"> Yes
  </G729a_Enable_3_>

  <G723_Enable_3_                   ua="na"> Yes
  </G723_Enable_3_>

  <G726-16_Enable_3_                ua="na"> Yes
  </G726-16_Enable_3_>

  <G726-24_Enable_3_                ua="na"> Yes
  </G726-24_Enable_3_>

  <G726-32_Enable_3_                ua="na"> Yes
  </G726-32_Enable_3_>

  <G726-40_Enable_3_                ua="na"> Yes
  </G726-40_Enable_3_>

  <Release_Unused_Codec_3_          ua="na"> Yes
  </Release_Unused_Codec_3_>

  <DTMF_Process_AVT_3_              ua="na"> Yes
  </DTMF_Process_AVT_3_>

  <Silence_Supp_Enable_3_           ua="na"> No
  </Silence_Supp_Enable_3_>

  <DTMF_Tx_Method_3_                ua="na"> Auto
  </DTMF_Tx_Method_3_>
  <!-- options: InBand/AVT/INFO/Auto/InBand+INFO/AVT+INFO -->


  <!-- Dial Plan -->

  <Enable_IP_Dialing_3_             ua="na"> No
  </Enable_IP_Dialing_3_>


  <!-- General -->

  <Line_Enable_4_                   ua="na"> Yes
  </Line_Enable_4_>


  <!-- Share Line Appearance -->

  <Share_Ext_4_                     ua="na"> private
  </Share_Ext_4_>
  <!-- options: private/shared -->

  <Shared_User_ID_4_                ua="na"> 
  </Shared_User_ID_4_>

  <Subscription_Expires_4_          ua="na"> 3600
  </Subscription_Expires_4_>


  <!-- NAT Settings -->

  <NAT_Mapping_Enable_4_            ua="na"> No
  </NAT_Mapping_Enable_4_>

  <NAT_Keep_Alive_Enable_4_         ua="na"> No
  </NAT_Keep_Alive_Enable_4_>

  <NAT_Keep_Alive_Msg_4_            ua="na"> $NOTIFY
  </NAT_Keep_Alive_Msg_4_>

  <NAT_Keep_Alive_Dest_4_           ua="na"> $PROXY
  </NAT_Keep_Alive_Dest_4_>


  <!-- Network Settings -->

  <SIP_TOS_DiffServ_Value_4_        ua="na"> 0x68
  </SIP_TOS_DiffServ_Value_4_>

  <SIP_CoS_Value_4_                 ua="na"> 3
  </SIP_CoS_Value_4_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <RTP_TOS_DiffServ_Value_4_        ua="na"> 0xb8
  </RTP_TOS_DiffServ_Value_4_>

  <RTP_CoS_Value_4_                 ua="na"> 6
  </RTP_CoS_Value_4_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <Network_Jitter_Level_4_          ua="na"> high
  </Network_Jitter_Level_4_>
  <!-- options: low/medium/high/very high -->


  <!-- SIP Settings -->

  <SIP_Port_4_                      ua="na"> 5063
  </SIP_Port_4_>

  <SIP_100REL_Enable_4_             ua="na"> No
  </SIP_100REL_Enable_4_>

  <EXT_SIP_Port_4_                  ua="na"> 
  </EXT_SIP_Port_4_>

  <Auth_Resync-Reboot_4_            ua="na"> Yes
  </Auth_Resync-Reboot_4_>

  <SIP_Proxy-Require_4_             ua="na"> 
  </SIP_Proxy-Require_4_>

  <SIP_Remote-Party-ID_4_           ua="na"> No
  </SIP_Remote-Party-ID_4_>

  <Referor_Bye_Delay_4_             ua="na"> 4
  </Referor_Bye_Delay_4_>

  <Refer-To_Target_Contact_4_       ua="na"> Yes
  </Refer-To_Target_Contact_4_>

  <Referee_Bye_Delay_4_             ua="na"> 0
  </Referee_Bye_Delay_4_>

  <SIP_Debug_Option_4_              ua="na"> none
  </SIP_Debug_Option_4_>
  <!-- options: none/1-line/1-line excl. OPT/1-line excl. NTFY/1-line excl. REG/1-line excl. OPT|NTFY|REG/full/full excl. OPT/full excl. NTFY/full excl. REG/full excl. OPT|NTFY|REG -->

  <Refer_Target_Bye_Delay_4_        ua="na"> 0
  </Refer_Target_Bye_Delay_4_>

  <Sticky_183_4_                    ua="na"> No
  </Sticky_183_4_>


  <!-- Call Feature Settings -->

  <Blind_Attn-Xfer_Enable_4_        ua="na"> No
  </Blind_Attn-Xfer_Enable_4_>

  <MOH_Server_4_                    ua="na"> 
  </MOH_Server_4_>

  <Message_Waiting_4_               ua="na"> No
  </Message_Waiting_4_>

  <Auth_Page_4_                     ua="na"> No
  </Auth_Page_4_>

  <Default_Ring_4_                  ua="na"> 1
  </Default_Ring_4_>
  <!-- options: No Ring/1/2/3/4/5/6/7/8/9/10/User 1/User 2 -->

  <Auth_Page_Realm_4_               ua="na"> 
  </Auth_Page_Realm_4_>

  <Conference_Bridge_URL_4_         ua="na"> 
  </Conference_Bridge_URL_4_>

  <Auth_Page_Password_4_            ua="na"> 
  </Auth_Page_Password_4_>

  <Voice_Mail_Server__4__           ua="na"> 
  </Voice_Mail_Server__4__>

  <State_Agent__4__                 ua="na"> 
  </State_Agent__4__>

  <CFWD_Notify_Serv__4__            ua="na"> No
  </CFWD_Notify_Serv__4__>

  <CFWD_Notifier__4__               ua="na"> 
  </CFWD_Notifier__4__>


  <!-- Proxy and Registration -->

  <Use_Outbound_Proxy_4_            ua="na"> No
  </Use_Outbound_Proxy_4_>

  <Outbound_Proxy_4_                ua="na"> 
  </Outbound_Proxy_4_>

  <Use_OB_Proxy_In_Dialog_4_        ua="na"> Yes
  </Use_OB_Proxy_In_Dialog_4_>

  <Register_4_                      ua="na"> Yes
  </Register_4_>

  <Make_Call_Without_Reg_4_         ua="na"> No
  </Make_Call_Without_Reg_4_>

  <Register_Expires_4_              ua="na"> 3600
  </Register_Expires_4_>

  <Ans_Call_Without_Reg_4_          ua="na"> No
  </Ans_Call_Without_Reg_4_>

  <Use_DNS_SRV_4_                   ua="na"> No
  </Use_DNS_SRV_4_>

  <DNS_SRV_Auto_Prefix_4_           ua="na"> No
  </DNS_SRV_Auto_Prefix_4_>

  <Proxy_Fallback_Intvl_4_          ua="na"> 3600
  </Proxy_Fallback_Intvl_4_>


  <!-- Subscriber Information -->

  <Use_Auth_ID_4_                   ua="na"> No
  </Use_Auth_ID_4_>

  <Auth_ID_4_                       ua="na"> 
  </Auth_ID_4_>

  <Mini_Certificate_4_              ua="na"> 
  </Mini_Certificate_4_>

  <SRTP_Private_Key_4_              ua="na"> 
  </SRTP_Private_Key_4_>


  <!-- Audio Configuration -->

  <FAX_Passthru_Codec_4_               ua="na"> G711a
  </FAX_Passthru_Codec_4_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Preferred_Codec_4_               ua="na"> G711a
  </Preferred_Codec_4_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Use_Pref_Codec_Only_4_           ua="na"> No
  </Use_Pref_Codec_Only_4_>

  <G729a_Enable_4_                  ua="na"> Yes
  </G729a_Enable_4_>

  <G723_Enable_4_                   ua="na"> Yes
  </G723_Enable_4_>

  <G726-16_Enable_4_                ua="na"> Yes
  </G726-16_Enable_4_>

  <G726-24_Enable_4_                ua="na"> Yes
  </G726-24_Enable_4_>

  <G726-32_Enable_4_                ua="na"> Yes
  </G726-32_Enable_4_>

  <G726-40_Enable_4_                ua="na"> Yes
  </G726-40_Enable_4_>

  <Release_Unused_Codec_4_          ua="na"> Yes
  </Release_Unused_Codec_4_>

  <DTMF_Process_AVT_4_              ua="na"> Yes
  </DTMF_Process_AVT_4_>

  <Silence_Supp_Enable_4_           ua="na"> No
  </Silence_Supp_Enable_4_>

  <DTMF_Tx_Method_4_                ua="na"> Auto
  </DTMF_Tx_Method_4_>
  <!-- options: InBand/AVT/INFO/Auto/InBand+INFO/AVT+INFO -->


  <!-- Dial Plan -->

  <Enable_IP_Dialing_4_             ua="na"> No
  </Enable_IP_Dialing_4_>


  <!-- General -->

  <Line_Enable_5_                   ua="na"> Yes
  </Line_Enable_5_>


  <!-- Share Line Appearance -->

  <Share_Ext_5_                     ua="na"> private
  </Share_Ext_5_>
  <!-- options: private/shared -->

  <Shared_User_ID_5_                ua="na"> 
  </Shared_User_ID_5_>

  <Subscription_Expires_5_          ua="na"> 3600
  </Subscription_Expires_5_>


  <!-- NAT Settings -->

  <NAT_Mapping_Enable_5_            ua="na"> No
  </NAT_Mapping_Enable_5_>

  <NAT_Keep_Alive_Enable_5_         ua="na"> No
  </NAT_Keep_Alive_Enable_5_>

  <NAT_Keep_Alive_Msg_5_            ua="na"> $NOTIFY
  </NAT_Keep_Alive_Msg_5_>

  <NAT_Keep_Alive_Dest_5_           ua="na"> $PROXY
  </NAT_Keep_Alive_Dest_5_>


  <!-- Network Settings -->

  <SIP_TOS_DiffServ_Value_5_        ua="na"> 0x68
  </SIP_TOS_DiffServ_Value_5_>

  <SIP_CoS_Value_5_                 ua="na"> 3
  </SIP_CoS_Value_5_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <RTP_TOS_DiffServ_Value_5_        ua="na"> 0xb8
  </RTP_TOS_DiffServ_Value_5_>

  <RTP_CoS_Value_5_                 ua="na"> 6
  </RTP_CoS_Value_5_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <Network_Jitter_Level_5_          ua="na"> high
  </Network_Jitter_Level_5_>
  <!-- options: low/medium/high/very high -->


  <!-- SIP Settings -->

  <SIP_Port_5_                      ua="na"> 5064
  </SIP_Port_5_>

  <SIP_100REL_Enable_5_             ua="na"> No
  </SIP_100REL_Enable_5_>

  <EXT_SIP_Port_5_                  ua="na"> 
  </EXT_SIP_Port_5_>

  <Auth_Resync-Reboot_5_            ua="na"> Yes
  </Auth_Resync-Reboot_5_>

  <SIP_Proxy-Require_5_             ua="na"> 
  </SIP_Proxy-Require_5_>

  <SIP_Remote-Party-ID_5_           ua="na"> No
  </SIP_Remote-Party-ID_5_>

  <Referor_Bye_Delay_5_             ua="na"> 4
  </Referor_Bye_Delay_5_>

  <Refer-To_Target_Contact_5_       ua="na"> Yes
  </Refer-To_Target_Contact_5_>

  <Referee_Bye_Delay_5_             ua="na"> 0
  </Referee_Bye_Delay_5_>

  <SIP_Debug_Option_5_              ua="na"> none
  </SIP_Debug_Option_5_>
  <!-- options: none/1-line/1-line excl. OPT/1-line excl. NTFY/1-line excl. REG/1-line excl. OPT|NTFY|REG/full/full excl. OPT/full excl. NTFY/full excl. REG/full excl. OPT|NTFY|REG -->

  <Refer_Target_Bye_Delay_5_        ua="na"> 0
  </Refer_Target_Bye_Delay_5_>

  <Sticky_183_5_                    ua="na"> No
  </Sticky_183_5_>


  <!-- Call Feature Settings -->

  <Blind_Attn-Xfer_Enable_5_        ua="na"> No
  </Blind_Attn-Xfer_Enable_5_>

  <MOH_Server_5_                    ua="na"> 
  </MOH_Server_5_>

  <Message_Waiting_5_               ua="na"> No
  </Message_Waiting_5_>

  <Auth_Page_5_                     ua="na"> No
  </Auth_Page_5_>

  <Default_Ring_5_                  ua="na"> 1
  </Default_Ring_5_>
  <!-- options: No Ring/1/2/3/4/5/6/7/8/9/10/User 1/User 2 -->

  <Auth_Page_Realm_5_               ua="na"> 
  </Auth_Page_Realm_5_>

  <Conference_Bridge_URL_5_         ua="na"> 
  </Conference_Bridge_URL_5_>

  <Auth_Page_Password_5_            ua="na"> 
  </Auth_Page_Password_5_>

  <Voice_Mail_Server__5__           ua="na"> 
  </Voice_Mail_Server__5__>

  <State_Agent__5__                 ua="na"> 
  </State_Agent__5__>

  <CFWD_Notify_Serv__5__            ua="na"> No
  </CFWD_Notify_Serv__5__>

  <CFWD_Notifier__5__               ua="na"> 
  </CFWD_Notifier__5__>


  <!-- Proxy and Registration -->

  <Use_Outbound_Proxy_5_            ua="na"> No
  </Use_Outbound_Proxy_5_>

  <Outbound_Proxy_5_                ua="na"> 
  </Outbound_Proxy_5_>

  <Use_OB_Proxy_In_Dialog_5_        ua="na"> Yes
  </Use_OB_Proxy_In_Dialog_5_>

  <Register_5_                      ua="na"> Yes
  </Register_5_>

  <Make_Call_Without_Reg_5_         ua="na"> No
  </Make_Call_Without_Reg_5_>

  <Register_Expires_5_              ua="na"> 3600
  </Register_Expires_5_>

  <Ans_Call_Without_Reg_5_          ua="na"> No
  </Ans_Call_Without_Reg_5_>

  <Use_DNS_SRV_5_                   ua="na"> No
  </Use_DNS_SRV_5_>

  <DNS_SRV_Auto_Prefix_5_           ua="na"> No
  </DNS_SRV_Auto_Prefix_5_>

  <Proxy_Fallback_Intvl_5_          ua="na"> 3600
  </Proxy_Fallback_Intvl_5_>


  <!-- Subscriber Information -->

  <Use_Auth_ID_5_                   ua="na"> No
  </Use_Auth_ID_5_>

  <Auth_ID_5_                       ua="na"> 
  </Auth_ID_5_>

  <Mini_Certificate_5_              ua="na"> 
  </Mini_Certificate_5_>

  <SRTP_Private_Key_5_              ua="na"> 
  </SRTP_Private_Key_5_>


  <!-- Audio Configuration -->

  <FAX_Passthru_Codec_5_               ua="na"> G711a
  </FAX_Passthru_Codec_5_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Preferred_Codec_5_               ua="na"> G711a
  </Preferred_Codec_5_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Use_Pref_Codec_Only_5_           ua="na"> No
  </Use_Pref_Codec_Only_5_>

  <G729a_Enable_5_                  ua="na"> Yes
  </G729a_Enable_5_>

  <G723_Enable_5_                   ua="na"> Yes
  </G723_Enable_5_>

  <G726-16_Enable_5_                ua="na"> Yes
  </G726-16_Enable_5_>

  <G726-24_Enable_5_                ua="na"> Yes
  </G726-24_Enable_5_>

  <G726-32_Enable_5_                ua="na"> Yes
  </G726-32_Enable_5_>

  <G726-40_Enable_5_                ua="na"> Yes
  </G726-40_Enable_5_>

  <Release_Unused_Codec_5_          ua="na"> Yes
  </Release_Unused_Codec_5_>

  <DTMF_Process_AVT_5_              ua="na"> Yes
  </DTMF_Process_AVT_5_>

  <Silence_Supp_Enable_5_           ua="na"> No
  </Silence_Supp_Enable_5_>

  <DTMF_Tx_Method_5_                ua="na"> Auto
  </DTMF_Tx_Method_5_>
  <!-- options: InBand/AVT/INFO/Auto/InBand+INFO/AVT+INFO -->


  <!-- Dial Plan -->

  <Enable_IP_Dialing_5_             ua="na"> No
  </Enable_IP_Dialing_5_>


  <!-- General -->

  <Line_Enable_6_                   ua="na"> Yes
  </Line_Enable_6_>


  <!-- Share Line Appearance -->

  <Share_Ext_6_                     ua="na"> private
  </Share_Ext_6_>
  <!-- options: private/shared -->

  <Shared_User_ID_6_                ua="na"> 
  </Shared_User_ID_6_>

  <Subscription_Expires_6_          ua="na"> 3600
  </Subscription_Expires_6_>


  <!-- NAT Settings -->

  <NAT_Mapping_Enable_6_            ua="na"> No
  </NAT_Mapping_Enable_6_>

  <NAT_Keep_Alive_Enable_6_         ua="na"> No
  </NAT_Keep_Alive_Enable_6_>

  <NAT_Keep_Alive_Msg_6_            ua="na"> $NOTIFY
  </NAT_Keep_Alive_Msg_6_>

  <NAT_Keep_Alive_Dest_6_           ua="na"> $PROXY
  </NAT_Keep_Alive_Dest_6_>


  <!-- Network Settings -->

  <SIP_TOS_DiffServ_Value_6_        ua="na"> 0x68
  </SIP_TOS_DiffServ_Value_6_>

  <SIP_CoS_Value_6_                 ua="na"> 3
  </SIP_CoS_Value_6_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <RTP_TOS_DiffServ_Value_6_        ua="na"> 0xb8
  </RTP_TOS_DiffServ_Value_6_>

  <RTP_CoS_Value_6_                 ua="na"> 6
  </RTP_CoS_Value_6_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <Network_Jitter_Level_6_          ua="na"> high
  </Network_Jitter_Level_6_>
  <!-- options: low/medium/high/very high -->


  <!-- SIP Settings -->

  <SIP_Port_6_                      ua="na"> 5065
  </SIP_Port_6_>

  <SIP_100REL_Enable_6_             ua="na"> No
  </SIP_100REL_Enable_6_>

  <EXT_SIP_Port_6_                  ua="na"> 
  </EXT_SIP_Port_6_>

  <Auth_Resync-Reboot_6_            ua="na"> Yes
  </Auth_Resync-Reboot_6_>

  <SIP_Proxy-Require_6_             ua="na"> 
  </SIP_Proxy-Require_6_>

  <SIP_Remote-Party-ID_6_           ua="na"> No
  </SIP_Remote-Party-ID_6_>

  <Referor_Bye_Delay_6_             ua="na"> 4
  </Referor_Bye_Delay_6_>

  <Refer-To_Target_Contact_6_       ua="na"> Yes
  </Refer-To_Target_Contact_6_>

  <Referee_Bye_Delay_6_             ua="na"> 0
  </Referee_Bye_Delay_6_>

  <SIP_Debug_Option_6_              ua="na"> none
  </SIP_Debug_Option_6_>
  <!-- options: none/1-line/1-line excl. OPT/1-line excl. NTFY/1-line excl. REG/1-line excl. OPT|NTFY|REG/full/full excl. OPT/full excl. NTFY/full excl. REG/full excl. OPT|NTFY|REG -->

  <Refer_Target_Bye_Delay_6_        ua="na"> 0
  </Refer_Target_Bye_Delay_6_>

  <Sticky_183_6_                    ua="na"> No
  </Sticky_183_6_>


  <!-- Call Feature Settings -->

  <Blind_Attn-Xfer_Enable_6_        ua="na"> No
  </Blind_Attn-Xfer_Enable_6_>

  <MOH_Server_6_                    ua="na"> 
  </MOH_Server_6_>

  <Message_Waiting_6_               ua="na"> No
  </Message_Waiting_6_>

  <Auth_Page_6_                     ua="na"> No
  </Auth_Page_6_>

  <Default_Ring_6_                  ua="na"> 1
  </Default_Ring_6_>
  <!-- options: No Ring/1/2/3/4/5/6/7/8/9/10/User 1/User 2 -->

  <Auth_Page_Realm_6_               ua="na"> 
  </Auth_Page_Realm_6_>

  <Conference_Bridge_URL_6_         ua="na"> 
  </Conference_Bridge_URL_6_>

  <Auth_Page_Password_6_            ua="na"> 
  </Auth_Page_Password_6_>

  <Voice_Mail_Server__6__           ua="na"> 
  </Voice_Mail_Server__6__>

  <State_Agent__6__                 ua="na"> 
  </State_Agent__6__>

  <CFWD_Notify_Serv__6__            ua="na"> No
  </CFWD_Notify_Serv__6__>

  <CFWD_Notifier__6__               ua="na"> 
  </CFWD_Notifier__6__>


  <!-- Proxy and Registration -->

  <Use_Outbound_Proxy_6_            ua="na"> No
  </Use_Outbound_Proxy_6_>

  <Outbound_Proxy_6_                ua="na"> 
  </Outbound_Proxy_6_>

  <Use_OB_Proxy_In_Dialog_6_        ua="na"> Yes
  </Use_OB_Proxy_In_Dialog_6_>

  <Register_6_                      ua="na"> Yes
  </Register_6_>

  <Make_Call_Without_Reg_6_         ua="na"> No
  </Make_Call_Without_Reg_6_>

  <Register_Expires_6_              ua="na"> 3600
  </Register_Expires_6_>

  <Ans_Call_Without_Reg_6_          ua="na"> No
  </Ans_Call_Without_Reg_6_>

  <Use_DNS_SRV_6_                   ua="na"> No
  </Use_DNS_SRV_6_>

  <DNS_SRV_Auto_Prefix_6_           ua="na"> No
  </DNS_SRV_Auto_Prefix_6_>

  <Proxy_Fallback_Intvl_6_          ua="na"> 3600
  </Proxy_Fallback_Intvl_6_>


  <!-- Subscriber Information -->

  <Use_Auth_ID_6_                   ua="na"> No
  </Use_Auth_ID_6_>

  <Auth_ID_6_                       ua="na"> 
  </Auth_ID_6_>

  <Mini_Certificate_6_              ua="na"> 
  </Mini_Certificate_6_>

  <SRTP_Private_Key_6_              ua="na"> 
  </SRTP_Private_Key_6_>


  <!-- Audio Configuration -->

  <FAX_Passthru_Codec_6_               ua="na"> G711a
  </FAX_Passthru_Codec_6_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Preferred_Codec_6_               ua="na"> G711a
  </Preferred_Codec_6_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Use_Pref_Codec_Only_6_           ua="na"> No
  </Use_Pref_Codec_Only_6_>

  <G729a_Enable_6_                  ua="na"> Yes
  </G729a_Enable_6_>

  <G723_Enable_6_                   ua="na"> Yes
  </G723_Enable_6_>

  <G726-16_Enable_6_                ua="na"> Yes
  </G726-16_Enable_6_>

  <G726-24_Enable_6_                ua="na"> Yes
  </G726-24_Enable_6_>

  <G726-32_Enable_6_                ua="na"> Yes
  </G726-32_Enable_6_>

  <G726-40_Enable_6_                ua="na"> Yes
  </G726-40_Enable_6_>

  <Release_Unused_Codec_6_          ua="na"> Yes
  </Release_Unused_Codec_6_>

  <DTMF_Process_AVT_6_              ua="na"> Yes
  </DTMF_Process_AVT_6_>

  <Silence_Supp_Enable_6_           ua="na"> No
  </Silence_Supp_Enable_6_>

  <DTMF_Tx_Method_6_                ua="na"> Auto
  </DTMF_Tx_Method_6_>
  <!-- options: InBand/AVT/INFO/Auto/InBand+INFO/AVT+INFO -->


  <!-- Dial Plan -->

  <Enable_IP_Dialing_6_             ua="na"> No
  </Enable_IP_Dialing_6_>


  <!-- General -->

  <Line_Enable_7_                   ua="na"> Yes
  </Line_Enable_7_>


  <!-- Share Line Appearance -->

  <Share_Ext_7_                     ua="na"> private
  </Share_Ext_7_>
  <!-- options: private/shared -->

  <Shared_User_ID_7_                ua="na"> 
  </Shared_User_ID_7_>

  <Subscription_Expires_7_          ua="na"> 3600
  </Subscription_Expires_7_>


  <!-- NAT Settings -->

  <NAT_Mapping_Enable_7_            ua="na"> No
  </NAT_Mapping_Enable_7_>

  <NAT_Keep_Alive_Enable_7_         ua="na"> No
  </NAT_Keep_Alive_Enable_7_>

  <NAT_Keep_Alive_Msg_7_            ua="na"> $NOTIFY
  </NAT_Keep_Alive_Msg_7_>

  <NAT_Keep_Alive_Dest_7_           ua="na"> $PROXY
  </NAT_Keep_Alive_Dest_7_>


  <!-- Network Settings -->

  <SIP_TOS_DiffServ_Value_7_        ua="na"> 0x68
  </SIP_TOS_DiffServ_Value_7_>

  <SIP_CoS_Value_7_                 ua="na"> 3
  </SIP_CoS_Value_7_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <RTP_TOS_DiffServ_Value_7_        ua="na"> 0xb8
  </RTP_TOS_DiffServ_Value_7_>

  <RTP_CoS_Value_7_                 ua="na"> 6
  </RTP_CoS_Value_7_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <Network_Jitter_Level_7_          ua="na"> high
  </Network_Jitter_Level_7_>
  <!-- options: low/medium/high/very high -->


  <!-- SIP Settings -->

  <SIP_Port_7_                      ua="na"> 5066
  </SIP_Port_7_>

  <SIP_100REL_Enable_7_             ua="na"> No
  </SIP_100REL_Enable_7_>

  <EXT_SIP_Port_7_                  ua="na"> 
  </EXT_SIP_Port_7_>

  <Auth_Resync-Reboot_7_            ua="na"> Yes
  </Auth_Resync-Reboot_7_>

  <SIP_Proxy-Require_7_             ua="na"> 
  </SIP_Proxy-Require_7_>

  <SIP_Remote-Party-ID_7_           ua="na"> No
  </SIP_Remote-Party-ID_7_>

  <Referor_Bye_Delay_7_             ua="na"> 4
  </Referor_Bye_Delay_7_>

  <Refer-To_Target_Contact_7_       ua="na"> Yes
  </Refer-To_Target_Contact_7_>

  <Referee_Bye_Delay_7_             ua="na"> 0
  </Referee_Bye_Delay_7_>

  <SIP_Debug_Option_7_              ua="na"> none
  </SIP_Debug_Option_7_>
  <!-- options: none/1-line/1-line excl. OPT/1-line excl. NTFY/1-line excl. REG/1-line excl. OPT|NTFY|REG/full/full excl. OPT/full excl. NTFY/full excl. REG/full excl. OPT|NTFY|REG -->

  <Refer_Target_Bye_Delay_7_        ua="na"> 0
  </Refer_Target_Bye_Delay_7_>

  <Sticky_183_7_                    ua="na"> No
  </Sticky_183_7_>


  <!-- Call Feature Settings -->

  <Blind_Attn-Xfer_Enable_7_        ua="na"> No
  </Blind_Attn-Xfer_Enable_7_>

  <MOH_Server_7_                    ua="na"> 
  </MOH_Server_7_>

  <Message_Waiting_7_               ua="na"> No
  </Message_Waiting_7_>

  <Auth_Page_7_                     ua="na"> No
  </Auth_Page_7_>

  <Default_Ring_7_                  ua="na"> 1
  </Default_Ring_7_>
  <!-- options: No Ring/1/2/3/4/5/6/7/8/9/10/User 1/User 2 -->

  <Auth_Page_Realm_7_               ua="na"> 
  </Auth_Page_Realm_7_>

  <Conference_Bridge_URL_7_         ua="na"> 
  </Conference_Bridge_URL_7_>

  <Auth_Page_Password_7_            ua="na"> 
  </Auth_Page_Password_7_>

  <Voice_Mail_Server__7__           ua="na"> 
  </Voice_Mail_Server__7__>

  <State_Agent__7__                 ua="na"> 
  </State_Agent__7__>

  <CFWD_Notify_Serv__7__            ua="na"> No
  </CFWD_Notify_Serv__7__>

  <CFWD_Notifier__7__               ua="na"> 
  </CFWD_Notifier__7__>


  <!-- Proxy and Registration -->

  <Use_Outbound_Proxy_7_            ua="na"> No
  </Use_Outbound_Proxy_7_>

  <Outbound_Proxy_7_                ua="na"> 
  </Outbound_Proxy_7_>

  <Use_OB_Proxy_In_Dialog_7_        ua="na"> Yes
  </Use_OB_Proxy_In_Dialog_7_>

  <Register_7_                      ua="na"> Yes
  </Register_7_>

  <Make_Call_Without_Reg_7_         ua="na"> No
  </Make_Call_Without_Reg_7_>

  <Register_Expires_7_              ua="na"> 3600
  </Register_Expires_7_>

  <Ans_Call_Without_Reg_7_          ua="na"> No
  </Ans_Call_Without_Reg_7_>

  <Use_DNS_SRV_7_                   ua="na"> No
  </Use_DNS_SRV_7_>

  <DNS_SRV_Auto_Prefix_7_           ua="na"> No
  </DNS_SRV_Auto_Prefix_7_>

  <Proxy_Fallback_Intvl_7_          ua="na"> 3600
  </Proxy_Fallback_Intvl_7_>


  <!-- Subscriber Information -->

  <Use_Auth_ID_7_                   ua="na"> No
  </Use_Auth_ID_7_>

  <Auth_ID_7_                       ua="na"> 
  </Auth_ID_7_>

  <Mini_Certificate_7_              ua="na"> 
  </Mini_Certificate_7_>

  <SRTP_Private_Key_7_              ua="na"> 
  </SRTP_Private_Key_7_>


  <!-- Audio Configuration -->

  <FAX_Passthru_Codec_7_               ua="na"> G711a
  </FAX_Passthru_Codec_7_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Preferred_Codec_7_               ua="na"> G711a
  </Preferred_Codec_7_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Use_Pref_Codec_Only_7_           ua="na"> No
  </Use_Pref_Codec_Only_7_>

  <G729a_Enable_7_                  ua="na"> Yes
  </G729a_Enable_7_>

  <G723_Enable_7_                   ua="na"> Yes
  </G723_Enable_7_>

  <G726-16_Enable_7_                ua="na"> Yes
  </G726-16_Enable_7_>

  <G726-24_Enable_7_                ua="na"> Yes
  </G726-24_Enable_7_>

  <G726-32_Enable_7_                ua="na"> Yes
  </G726-32_Enable_7_>

  <G726-40_Enable_7_                ua="na"> Yes
  </G726-40_Enable_7_>

  <Release_Unused_Codec_7_          ua="na"> Yes
  </Release_Unused_Codec_7_>

  <DTMF_Process_AVT_7_              ua="na"> Yes
  </DTMF_Process_AVT_7_>

  <Silence_Supp_Enable_7_           ua="na"> No
  </Silence_Supp_Enable_7_>

  <DTMF_Tx_Method_7_                ua="na"> Auto
  </DTMF_Tx_Method_7_>
  <!-- options: InBand/AVT/INFO/Auto/InBand+INFO/AVT+INFO -->


  <!-- Dial Plan -->

  <Enable_IP_Dialing_7_             ua="na"> No
  </Enable_IP_Dialing_7_>


  <!-- General -->

  <Line_Enable_8_                   ua="na"> Yes
  </Line_Enable_8_>


  <!-- Share Line Appearance -->

  <Share_Ext_8_                     ua="na"> private
  </Share_Ext_8_>
  <!-- options: private/shared -->

  <Shared_User_ID_8_                ua="na"> 
  </Shared_User_ID_8_>

  <Subscription_Expires_8_          ua="na"> 3600
  </Subscription_Expires_8_>


  <!-- NAT Settings -->

  <NAT_Mapping_Enable_8_            ua="na"> No
  </NAT_Mapping_Enable_8_>

  <NAT_Keep_Alive_Enable_8_         ua="na"> No
  </NAT_Keep_Alive_Enable_8_>

  <NAT_Keep_Alive_Msg_8_            ua="na"> $NOTIFY
  </NAT_Keep_Alive_Msg_8_>

  <NAT_Keep_Alive_Dest_8_           ua="na"> $PROXY
  </NAT_Keep_Alive_Dest_8_>


  <!-- Network Settings -->

  <SIP_TOS_DiffServ_Value_8_        ua="na"> 0x68
  </SIP_TOS_DiffServ_Value_8_>

  <SIP_CoS_Value_8_                 ua="na"> 3
  </SIP_CoS_Value_8_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <RTP_TOS_DiffServ_Value_8_        ua="na"> 0xb8
  </RTP_TOS_DiffServ_Value_8_>

  <RTP_CoS_Value_8_                 ua="na"> 6
  </RTP_CoS_Value_8_>
  <!-- options: 0/1/2/3/4/5/6/7 -->

  <Network_Jitter_Level_8_          ua="na"> high
  </Network_Jitter_Level_8_>
  <!-- options: low/medium/high/very high -->


  <!-- SIP Settings -->

  <SIP_Port_8_                      ua="na"> 5067
  </SIP_Port_8_>

  <SIP_100REL_Enable_8_             ua="na"> No
  </SIP_100REL_Enable_8_>

  <EXT_SIP_Port_8_                  ua="na"> 
  </EXT_SIP_Port_8_>

  <Auth_Resync-Reboot_8_            ua="na"> Yes
  </Auth_Resync-Reboot_8_>

  <SIP_Proxy-Require_8_             ua="na"> 
  </SIP_Proxy-Require_8_>

  <SIP_Remote-Party-ID_8_           ua="na"> No
  </SIP_Remote-Party-ID_8_>

  <Referor_Bye_Delay_8_             ua="na"> 4
  </Referor_Bye_Delay_8_>

  <Refer-To_Target_Contact_8_       ua="na"> Yes
  </Refer-To_Target_Contact_8_>

  <Referee_Bye_Delay_8_             ua="na"> 0
  </Referee_Bye_Delay_8_>

  <SIP_Debug_Option_8_              ua="na"> none
  </SIP_Debug_Option_8_>
  <!-- options: none/1-line/1-line excl. OPT/1-line excl. NTFY/1-line excl. REG/1-line excl. OPT|NTFY|REG/full/full excl. OPT/full excl. NTFY/full excl. REG/full excl. OPT|NTFY|REG -->

  <Refer_Target_Bye_Delay_8_        ua="na"> 0
  </Refer_Target_Bye_Delay_8_>

  <Sticky_183_8_                    ua="na"> No
  </Sticky_183_8_>


  <!-- Call Feature Settings -->

  <Blind_Attn-Xfer_Enable_8_        ua="na"> No
  </Blind_Attn-Xfer_Enable_8_>

  <MOH_Server_8_                    ua="na"> 
  </MOH_Server_8_>

  <Message_Waiting_8_               ua="na"> No
  </Message_Waiting_8_>

  <Auth_Page_8_                     ua="na"> No
  </Auth_Page_8_>

  <Default_Ring_8_                  ua="na"> 1
  </Default_Ring_8_>
  <!-- options: No Ring/1/2/3/4/5/6/7/8/9/10/User 1/User 2 -->

  <Auth_Page_Realm_8_               ua="na"> 
  </Auth_Page_Realm_8_>

  <Conference_Bridge_URL_8_         ua="na"> 
  </Conference_Bridge_URL_8_>

  <Auth_Page_Password_8_            ua="na"> 
  </Auth_Page_Password_8_>

  <Voice_Mail_Server__8__           ua="na"> 
  </Voice_Mail_Server__8__>

  <State_Agent__8__                 ua="na"> 
  </State_Agent__8__>

  <CFWD_Notify_Serv__8__            ua="na"> No
  </CFWD_Notify_Serv__8__>

  <CFWD_Notifier__8__               ua="na"> 
  </CFWD_Notifier__8__>


  <!-- Proxy and Registration -->

  <Use_Outbound_Proxy_8_            ua="na"> No
  </Use_Outbound_Proxy_8_>

  <Outbound_Proxy_8_                ua="na"> 
  </Outbound_Proxy_8_>

  <Use_OB_Proxy_In_Dialog_8_        ua="na"> Yes
  </Use_OB_Proxy_In_Dialog_8_>

  <Register_8_                      ua="na"> Yes
  </Register_8_>

  <Make_Call_Without_Reg_8_         ua="na"> No
  </Make_Call_Without_Reg_8_>

  <Register_Expires_8_              ua="na"> 3600
  </Register_Expires_8_>

  <Ans_Call_Without_Reg_8_          ua="na"> No
  </Ans_Call_Without_Reg_8_>

  <Use_DNS_SRV_8_                   ua="na"> No
  </Use_DNS_SRV_8_>

  <DNS_SRV_Auto_Prefix_8_           ua="na"> No
  </DNS_SRV_Auto_Prefix_8_>

  <Proxy_Fallback_Intvl_8_          ua="na"> 3600
  </Proxy_Fallback_Intvl_8_>


  <!-- Subscriber Information -->

  <Use_Auth_ID_8_                   ua="na"> No
  </Use_Auth_ID_8_>

  <Auth_ID_8_                       ua="na"> 
  </Auth_ID_8_>

  <Mini_Certificate_8_              ua="na"> 
  </Mini_Certificate_8_>

  <SRTP_Private_Key_8_              ua="na"> 
  </SRTP_Private_Key_8_>


  <!-- Audio Configuration -->

  <FAX_Passthru_Codec_8_               ua="na"> G711a
  </FAX_Passthru_Codec_8_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Preferred_Codec_8_               ua="na"> G711a
  </Preferred_Codec_8_>
  <!-- options: G711u/G711a/G726-16/G726-24/G726-32/G726-40/G729a/G723 -->

  <Use_Pref_Codec_Only_8_           ua="na"> No
  </Use_Pref_Codec_Only_8_>

  <G729a_Enable_8_                  ua="na"> Yes
  </G729a_Enable_8_>

  <G723_Enable_8_                   ua="na"> Yes
  </G723_Enable_8_>

  <G726-16_Enable_8_                ua="na"> Yes
  </G726-16_Enable_8_>

  <G726-24_Enable_8_                ua="na"> Yes
  </G726-24_Enable_8_>

  <G726-32_Enable_8_                ua="na"> Yes
  </G726-32_Enable_8_>

  <G726-40_Enable_8_                ua="na"> Yes
  </G726-40_Enable_8_>

  <Release_Unused_Codec_8_          ua="na"> Yes
  </Release_Unused_Codec_8_>

  <DTMF_Process_AVT_8_              ua="na"> Yes
  </DTMF_Process_AVT_8_>

  <Silence_Supp_Enable_8_           ua="na"> No
  </Silence_Supp_Enable_8_>

  <DTMF_Tx_Method_8_                ua="na"> Auto
  </DTMF_Tx_Method_8_>
  <!-- options: InBand/AVT/INFO/Auto/InBand+INFO/AVT+INFO -->


  <!-- Dial Plan -->

  <Enable_IP_Dialing_8_             ua="na"> No
  </Enable_IP_Dialing_8_>


  <!-- Call Forward -->

  <Cfwd_All_Dest                    ua="rw"/>

  <Cfwd_Busy_Dest                   ua="rw"/>

  <Cfwd_No_Ans_Dest                 ua="rw"/>

  <Cfwd_No_Ans_Delay                ua="rw"/>


  <!-- Speed Dial -->

  <Speed_Dial_2                     ua="rw"/>

  <Speed_Dial_3                     ua="rw"/>

  <Speed_Dial_4                     ua="rw"/>

  <Speed_Dial_5                     ua="rw"/>

  <Speed_Dial_6                     ua="rw"/>

  <Speed_Dial_7                     ua="rw"/>

  <Speed_Dial_8                     ua="rw"/>

  <Speed_Dial_9                     ua="rw"/>


  <!-- Supplementary Services -->

  <Block_CID_Setting                ua="rw"/>

  <Block_ANC_Setting                ua="rw"/>

  <DND_Setting                      ua="rw"/>

  <Secure_Call_Setting              ua="na"> No
  </Secure_Call_Setting>

  <Dial_Assistance                  ua="na"> No
  </Dial_Assistance>

  <Auto_Answer_Page                 ua="na"> Yes
  </Auto_Answer_Page>

  <Preferred_Audio_Device           ua="na"> Speaker
  </Preferred_Audio_Device>
  <!-- options: Speaker/Headset -->

  <Send_Audio_To_Speaker            ua="na"> No
  </Send_Audio_To_Speaker>

  <Time_Format                      ua="na"> 24hr
  </Time_Format>
  <!-- options: 12hr/24hr -->

  <Date_Format                      ua="na"> day/month
  </Date_Format>
  <!-- options: month/day/day/month -->


  <!-- Audio Volume -->

  <Ringer_Volume                    ua="rw"/>

  <Speaker_Volume                   ua="rw"/>

  <Handset_Volume                   ua="rw"/>

  <Headset_Volume                   ua="rw"/>


  <!-- General -->

  <Voice_Mail_Number                ua="na">
  </Voice_Mail_Number>

  <Text_Logo                        ua="na"> 
  </Text_Logo>


  <!-- Line Key 1 -->

  <Extension_1_                     ua="na"> 1
  </Extension_1_>
  <!-- options: 1/2/3/4/Disabled -->

  <Share_Call_Appearance_1_         ua="na"> private
  </Share_Call_Appearance_1_>
  <!-- options: private/shared -->


  <!-- Line Key 2 -->

  <Extension_2_                     ua="na"> 2
  </Extension_2_>
  <!-- options: 1/2/3/4/Disabled -->

  <Share_Call_Appearance_2_         ua="na"> private
  </Share_Call_Appearance_2_>
  <!-- options: private/shared -->


  <!-- Line Key 3 -->

  <Extension_3_                     ua="na"> 3
  </Extension_3_>
  <!-- options: 1/2/3/4/Disabled -->

  <Share_Call_Appearance_3_         ua="na"> private
  </Share_Call_Appearance_3_>
  <!-- options: private/shared -->


  <!-- Line Key 4 -->

  <Extension_4_                     ua="na"> 4
  </Extension_4_>
  <!-- options: 1/2/3/4/Disabled -->

  <Share_Call_Appearance_4_         ua="na"> private
  </Share_Call_Appearance_4_>
  <!-- options: private/shared -->


  <!-- Line Key 5 -->

  <Extension_5_                     ua="na"> 5
  </Extension_5_>
  <!-- options: 1/2/3/5/Disabled -->

  <Share_Call_Appearance_5_         ua="na"> private
  </Share_Call_Appearance_5_>
  <!-- options: private/shared -->


  <!-- Line Key 6 -->

  <Extension_6_                     ua="na"> 6
  </Extension_6_>
  <!-- options: 1/2/3/6/Disabled -->

  <Share_Call_Appearance_6_         ua="na"> private
  </Share_Call_Appearance_6_>
  <!-- options: private/shared -->


  <!-- Line Key LED Pattern -->

  <Idle_LED                         ua="na"> 
  </Idle_LED>

  <Remote_Undefined_LED             ua="na"> 
  </Remote_Undefined_LED>

  <Local_Seized_LED                 ua="na"> 
  </Local_Seized_LED>

  <Remote_Seized_LED                ua="na"> 
  </Remote_Seized_LED>

  <Local_Progressing_LED            ua="na"> 
  </Local_Progressing_LED>

  <Remote_Progressing_LED           ua="na"> 
  </Remote_Progressing_LED>

  <Local_Ringing_LED                ua="na"> 
  </Local_Ringing_LED>

  <Remote_Ringing_LED               ua="na"> 
  </Remote_Ringing_LED>

  <Local_Active_LED                 ua="na"> 
  </Local_Active_LED>

  <Remote_Active_LED                ua="na"> 
  </Remote_Active_LED>

  <Local_Held_LED                   ua="na"> 
  </Local_Held_LED>

  <Remote_Held_LED                  ua="na"> 
  </Remote_Held_LED>

  <Register_Failed_LED              ua="na"> 
  </Register_Failed_LED>

  <Disabled_LED                     ua="na"> 
  </Disabled_LED>

  <Registering_LED                  ua="na"> 
  </Registering_LED>

  <Call_Back_Active_LED             ua="na"> 
  </Call_Back_Active_LED>


  <!-- Supplementary Services -->

  <Conference_Serv                  ua="na"> Yes
  </Conference_Serv>

  <Attn_Transfer_Serv               ua="na"> Yes
  </Attn_Transfer_Serv>

  <Blind_Transfer_Serv              ua="na"> Yes
  </Blind_Transfer_Serv>

  <DND_Serv                         ua="na"> Yes
  </DND_Serv>

  <Block_ANC_Serv                   ua="na"> Yes
  </Block_ANC_Serv>

  <Call_Back_Serv                   ua="na"> Yes
  </Call_Back_Serv>

  <Block_CID_Serv                   ua="na"> Yes
  </Block_CID_Serv>

  <Secure_Call_Serv                 ua="na"> Yes
  </Secure_Call_Serv>

  <Cfwd_All_Serv                    ua="na"> Yes
  </Cfwd_All_Serv>

  <Cfwd_Busy_Serv                   ua="na"> Yes
  </Cfwd_Busy_Serv>

  <Cfwd_No_Ans_Serv                 ua="na"> Yes
  </Cfwd_No_Ans_Serv>

  <Paging_Serv                      ua="na"> Yes
  </Paging_Serv>

  <Call_Park_Serv                   ua="na"> Yes
  </Call_Park_Serv>

  <Call_Pick_Up_Serv                ua="na"> Yes
  </Call_Pick_Up_Serv>

  <ACD_Login_Serv                   ua="na"> Yes
  </ACD_Login_Serv>

  <Group_Call_Pick_Up_Serv          ua="na"> Yes
  </Group_Call_Pick_Up_Serv>

  <ACD_Ext                          ua="na"> 1
  </ACD_Ext>
  <!-- options: 1/2/3/4 -->


  <!-- Ring Tone -->

  <Ring1                            ua="na"> n=Classic-1;w=3;c=1
  </Ring1>

  <Ring2                            ua="na"> n=Classic-2;w=3;c=2
  </Ring2>

  <Ring3                            ua="na"> n=Classic-3;w=3;c=3
  </Ring3>

  <Ring4                            ua="na"> n=Classic-4;w=3;c=4
  </Ring4>

  <Ring5                            ua="na"> n=Simple-1;w=2;c=1
  </Ring5>

  <Ring6                            ua="na"> n=Simple-2;w=2;c=2
  </Ring6>

  <Ring7                            ua="na"> n=Simple-3;w=2;c=3
  </Ring7>

  <Ring8                            ua="na"> n=Simple-4;w=2;c=4
  </Ring8>

  <Ring9                            ua="na"> n=Simple-5;w=2;c=5
  </Ring9>

  <Ring10                           ua="na"> n=Demo;w=4;c=7
  </Ring10>


  <!-- Audio Input Gain (dB) -->

  <Handset_Input_Gain               ua="na"> 0
  </Handset_Input_Gain>
  <!-- options: -6/0/6 -->

  <Headset_Input_Gain               ua="na"> 0
  </Headset_Input_Gain>
  <!-- options: -6/0/6 -->

  <Speakerphone_Input_Gain          ua="na"> 0
  </Speakerphone_Input_Gain>
  <!-- options: -6/0/6 -->


  <!-- Call Progress Tones -->

  <Dial_Tone                        ua="na"> 350@-19,440@-19;10(*/0/1+2)
  </Dial_Tone>

  <Outside_Dial_Tone                ua="na"> 420@-16;10(*/0/1)
  </Outside_Dial_Tone>

  <Prompt_Tone                      ua="na"> 520@-19,620@-19;10(*/0/1+2)
  </Prompt_Tone>

  <Busy_Tone                        ua="na"> 480@-19,620@-19;10(.5/.5/1+2)
  </Busy_Tone>

  <Reorder_Tone                     ua="na"> 480@-19,620@-19;10(.25/.25/1+2)
  </Reorder_Tone>

  <Off_Hook_Warning_Tone            ua="na"> 480@-10,620@0;10(.125/.125/1+2)
  </Off_Hook_Warning_Tone>

  <Ring_Back_Tone                   ua="na"> 440@-19,480@-19;*(2/4/1+2)
  </Ring_Back_Tone>

  <Call_Waiting_Tone                ua="na"> 440@-10;30(.3/9.7/1)
  </Call_Waiting_Tone>

  <Confirm_Tone                     ua="na"> 600@-16;1(.25/.25/1)
  </Confirm_Tone>

  <SIT1_Tone                        ua="na"> 985@-16,1428@-16,1777@-16;20(.380/0/1,.380/0/2,.380/0/3,0/4/0)
  </SIT1_Tone>

  <SIT2_Tone                        ua="na"> 914@-16,1371@-16,1777@-16;20(.274/0/1,.274/0/2,.380/0/3,0/4/0)
  </SIT2_Tone>

  <SIT3_Tone                        ua="na"> 914@-16,1371@-16,1777@-16;20(.380/0/1,.380/0/2,.380/0/3,0/4/0)
  </SIT3_Tone>

  <SIT4_Tone                        ua="na"> 985@-16,1371@-16,1777@-16;20(.380/0/1,.274/0/2,.380/0/3,0/4/0)
  </SIT4_Tone>

  <MWI_Dial_Tone                    ua="na"> 350@-19,440@-19;2(.1/.1/1+2);10(*/0/1+2)
  </MWI_Dial_Tone>

  <Cfwd_Dial_Tone                   ua="na"> 350@-19,440@-19;2(.2/.2/1+2);10(*/0/1+2)
  </Cfwd_Dial_Tone>

  <Holding_Tone                     ua="na"> 600@-19;*(.1/.1/1,.1/.1/1,.1/9.5/1)
  </Holding_Tone>

  <Conference_Tone                  ua="na"> 350@-19;20(.1/.1/1,.1/9.7/1)
  </Conference_Tone>

  <Secure_Call_Indication_Tone      ua="na"> 397@-19,507@-19;15(0/2/0,.2/.1/1,.1/2.1/2)
  </Secure_Call_Indication_Tone>

  <Page_Tone                        ua="na"> 600@-16;.3(.05/0.05/1)
  </Page_Tone>


  <!-- Distinctive Ring Patterns -->

  <Cadence_1                        ua="na"> 60(2/4)
  </Cadence_1>

  <Cadence_2                        ua="na"> 60(.3/.2,1/.2,.3/4)
  </Cadence_2>

  <Cadence_3                        ua="na"> 60(.8/.4,.8/4)
  </Cadence_3>

  <Cadence_4                        ua="na"> 60(.4/.2,.3/.2,.8/4)
  </Cadence_4>

  <Cadence_5                        ua="na"> 60(.2/.2,.2/.2,.2/.2,1/4)
  </Cadence_5>

  <Cadence_6                        ua="na"> 60(.2/.4,.2/.4,.2/4)
  </Cadence_6>

  <Cadence_7                        ua="na"> 60(4.5/4)
  </Cadence_7>

  <Cadence_8                        ua="na"> 60(0.25/9.75)
  </Cadence_8>


  <!-- Control Timer Values (sec) -->

  <Reorder_Delay                    ua="na"> 5
  </Reorder_Delay>

  <Call_Back_Expires                ua="na"> 1800
  </Call_Back_Expires>

  <Call_Back_Retry_Intvl            ua="na"> 30
  </Call_Back_Retry_Intvl>

  <Call_Back_Delay                  ua="na"> .5
  </Call_Back_Delay>

  <Interdigit_Long_Timer            ua="na"> 10
  </Interdigit_Long_Timer>

  <Interdigit_Short_Timer           ua="na"> 3
  </Interdigit_Short_Timer>


  <!-- Vertical Service Activation Codes -->

  <Call_Return_Code                 ua="na"> *69
  </Call_Return_Code>

  <Blind_Transfer_Code              ua="na"> *98
  </Blind_Transfer_Code>

  <Call_Back_Act_Code               ua="na"> *66
  </Call_Back_Act_Code>

  <Call_Back_Deact_Code             ua="na"> *86
  </Call_Back_Deact_Code>

  <Cfwd_All_Act_Code                ua="na"> *72
  </Cfwd_All_Act_Code>

  <Cfwd_All_Deact_Code              ua="na"> *73
  </Cfwd_All_Deact_Code>

  <Cfwd_Busy_Act_Code               ua="na"> *90
  </Cfwd_Busy_Act_Code>

  <Cfwd_Busy_Deact_Code             ua="na"> *91
  </Cfwd_Busy_Deact_Code>

  <Cfwd_No_Ans_Act_Code             ua="na"> *92
  </Cfwd_No_Ans_Act_Code>

  <Cfwd_No_Ans_Deact_Code           ua="na"> *93
  </Cfwd_No_Ans_Deact_Code>

  <Block_CID_Act_Code               ua="na"> *67
  </Block_CID_Act_Code>

  <Block_CID_Deact_Code             ua="na"> *68
  </Block_CID_Deact_Code>

  <Block_CID_Per_Call_Act_Code      ua="na"> *81
  </Block_CID_Per_Call_Act_Code>

  <Block_CID_Per_Call_Deact_Code    ua="na"> *82
  </Block_CID_Per_Call_Deact_Code>

  <Block_ANC_Act_Code               ua="na"> *77
  </Block_ANC_Act_Code>

  <Block_ANC_Deact_Code             ua="na"> *87
  </Block_ANC_Deact_Code>

  <DND_Act_Code                     ua="na"> *78
  </DND_Act_Code>

  <DND_Deact_Code                   ua="na"> *79
  </DND_Deact_Code>

  <Secure_All_Call_Act_Code         ua="na"> *16
  </Secure_All_Call_Act_Code>

  <Secure_No_Call_Act_Code          ua="na"> *17
  </Secure_No_Call_Act_Code>

  <Secure_One_Call_Act_Code         ua="na"> *18
  </Secure_One_Call_Act_Code>

  <Secure_One_Call_Deact_Code       ua="na"> *19
  </Secure_One_Call_Deact_Code>

  <Paging_Code                      ua="na"> *96
  </Paging_Code>

  <Call_Park_Code                   ua="na"> *38
  </Call_Park_Code>

  <Call_Pickup_Code                 ua="na"> *36
  </Call_Pickup_Code>

  <Call_UnPark_Code                 ua="na"> *39
  </Call_UnPark_Code>

  <Group_Call_Pickup_Code           ua="na"> *37
  </Group_Call_Pickup_Code>

  <Referral_Services_Codes          ua="na"> 
  </Referral_Services_Codes>

  <Feature_Dial_Services_Codes      ua="na"> 
  </Feature_Dial_Services_Codes>


  <!-- Outbound Call Codec Selection Codes -->

  <Prefer_G711u_Code                ua="na"> *017110
  </Prefer_G711u_Code>

  <Force_G711u_Code                 ua="na"> *027110
  </Force_G711u_Code>

  <Prefer_G711a_Code                ua="na"> *017111
  </Prefer_G711a_Code>

  <Force_G711a_Code                 ua="na"> *027111
  </Force_G711a_Code>

  <Prefer_G723_Code                 ua="na"> *01723
  </Prefer_G723_Code>

  <Force_G723_Code                  ua="na"> *02723
  </Force_G723_Code>

  <Prefer_G726r16_Code              ua="na"> *0172616
  </Prefer_G726r16_Code>

  <Force_G726r16_Code               ua="na"> *0272616
  </Force_G726r16_Code>

  <Prefer_G726r24_Code              ua="na"> *0172624
  </Prefer_G726r24_Code>

  <Force_G726r24_Code               ua="na"> *0272624
  </Force_G726r24_Code>

  <Prefer_G726r32_Code              ua="na"> *0172632
  </Prefer_G726r32_Code>

  <Force_G726r32_Code               ua="na"> *0272632
  </Force_G726r32_Code>

  <Prefer_G726r40_Code              ua="na"> *0172640
  </Prefer_G726r40_Code>

  <Force_G726r40_Code               ua="na"> *0272640
  </Force_G726r40_Code>

  <Prefer_G729a_Code                ua="na"> *01729
  </Prefer_G729a_Code>

  <Force_G729a_Code                 ua="na"> *02729
  </Force_G729a_Code>


  <!-- Miscellaneous -->

  <Set_Local_Date__mm_dd_           ua="na"> 
  </Set_Local_Date__mm_dd_>

  <Set_Local_Time__HH_mm_           ua="na"> 
  </Set_Local_Time__HH_mm_>

  <Time_Zone                        ua="na"> GMT
  </Time_Zone>
  <!-- options: GMT-12:00/GMT-11:00/GMT-10:00/GMT-09:00/GMT-08:00/GMT-07:00/GMT-06:00/GMT-05:00/GMT-04:00/GMT-03:30/GMT-03:00/GMT-02:00/GMT-01:00/GMT/GMT+01:00/GMT+02:00/GMT+03:00/GMT+03:30/GMT+04:00/GMT+05:00/GMT+05:30/GMT+05:45/GMT+06:00/GMT+06:30/GMT+07:00/GMT+08:00/GMT+09:00/GMT+09:30/GMT+10:00/GMT+11:00/GMT+12:00/GMT+13:00 -->

  <Time_Offset__HH_mm_              ua="na"> 
  </Time_Offset__HH_mm_>

  <Daylight_Saving_Time_Rule        ua="na"> start=3/-1/7/2:0:0;end=10/-1/7/2:0:0;save=1:0:0
  </Daylight_Saving_Time_Rule>

  <DTMF_Playback_Level              ua="na"> -16
  </DTMF_Playback_Level>

  <DTMF_Playback_Length             ua="na"> .1
  </DTMF_Playback_Length>

  <Inband_DTMF_Boost                ua="na"> 12dB
  </Inband_DTMF_Boost>
  <!-- options: 0dB/3dB/6dB/9dB/12dB/15dB/18dB -->

  <Protect_IVR_FactoryReset         ua="na"> No
  </Protect_IVR_FactoryReset>


