#!/usr/bin/perl -w

use Asterisk::AGI;
use strict;

our $AGI = new Asterisk::AGI;

my $base = "/var/lib/asterisk/sounds/ivr";

# print "$base/$ARGV[0].alaw\n";
# print "$base/$ARGV[1].alaw\n";

if( -f "$base/$ARGV[0].alaw" ) {
  foreach my $old ( glob "$base/$ARGV[1].*" ) {
    next if( "$old" eq "$base/$ARGV[0].alaw" );
    unlink( $old );
  }
  rename( "$base/$ARGV[0].alaw", "$base/$ARGV[1].alaw");
  chmod 0644, "$base/$ARGV[1].alaw";
  exit 0;
} else {
  exit -1;
}
