#!/usr/bin/perl -w

use DBI;
use DBD::Pg;
use IO::File;
my $bits = O_WRONLY|O_NONBLOCK;
use strict;

my $db="asterisk";
my $user="asterisk";
my $pass="";

our $dbh = DBI->connect( "dbi:Pg:dbname=$db", "$user", "$pass",
                         {AutoCommit => 1} ) or die("Cannot open DB");

our $sth = $dbh->prepare("UPDATE settings SET value=(EXTRACT(EPOCH FROM NOW())*1000)::bigint WHERE attrib='flag_change_date'") or die "SQL prepare failed!";
$sth->execute or die "SQL Execute failed";

if((my $pipe = new IO::File( '/var/www/html/config/upd_ast.pipe', $bits ))) {
  $pipe->write("\n");
  close $pipe;
}
$dbh->disconnect();

