// <!--
// (c) 2005-2008 IP Cortex Ltd.
// All rights reserved.  Unauthorised copying is not permitted.
// -->

var LeftMenu = {name:'leftMenu'};

Menu.addEngine(LeftMenu);

// Render the menu as a tree - nominally on the left of the screen, although chould be right side.
LeftMenu.render = function (menu, data, list, depth) {
  // Default is the top level element.
  if (depth==null)
     depth=1;
  if (data.maxLevel == null)
     data.maxLevel=999;

  var entries=[];
  var str = '';

  if (list==null)
    list = menu.topItems;

  //if (dumpObj!=null)
  if (list) {
      // Display
    var targ = list.length;
    var targetcount = 0;
    var selectedcount = 0;
    if(depth == 1) {
      var lasttab=1;
      var seltab=0;
      for (var i=0;i<targ;i++) {
	    var cls = 'tabmenuLarge';
	    var href = (sel == 'e')?list[i].href:list[i].href;
	    var icon = "";
	    if(list[i].icon != null)
		    icon='<img border="0" align="left" src="/icons/16/'+list[i].icon+'" alt="'+list[i].bodyText+'"/>';
	    if (!list[i].disabled) {
		    if(targetcount == 0 && depth >= data.level) {
			    rb.page.write('<table cellspacing="0" cellpadding="0" border="0" bgcolor="#ffffff" width="100%"><tr>\n');
	    		    rb.page.write('<td bgcolor="#ffffff" width="190"><img src="/images/spacer.gif" border="0" width="190" height="2"></td>');
		    }

		    targetcount++;
		    if(list[i].selected || list[i].pathSelect || (selectedcount == 0 && i == (targ - 1))){
			    seltab=targetcount;
			    list[i].selected = true;
			    selectedcount++;
			    str+='<td height="18" colspan="2" width="4"><img width="4" height="18" border="0" src="/images/tab-left.gif"/></td>';
			    if(icon.length)
				    str+='<td height="18" bgcolor="#ffffff" background="/images/tab-bg.gif"><a href="'+href+'" alt="'+list[i].bodyText+'" title="'+list[i].bodyText+'" class="'+cls+'">'+icon+'</a></td>';
			    str+='<td height="18" bgcolor="#ffffff" background="/images/tab-bg.gif">';
			    str += '<a href="'+href+'" alt="'+list[i].bodyText+'" title="'+list[i].bodyText+'" class="'+cls+'">'+(list[i].name.toLowerCase()).replace(/\s/g,'&nbsp;')+'</a>';
			    str+='</td>';
			    str+='<td><img src="/images/tab-right.gif"/></td>\n';
			    lasttab=1;
		    }
		    else{
			    str+='<td height="18" colspan="2" width="4"><img width="4" height="18" border="0" src="/images/tab-left-sel.gif"/></td>';
			    if(icon.length)
				    str+='<td height="18" bgcolor="#003263"><a href="'+href+'" alt="'+list[i].bodyText+'" title="'+list[i].bodyText+'" class="'+cls+'Sel">'+icon+'</a></td>';
			    str+='<td height="18" bgcolor="#003263">';
			    str += '<a href="'+href+'" alt="'+list[i].bodyText+'" title="'+list[i].bodyText+'" class="'+cls+'Sel">'+(list[i].name.toLowerCase()).replace(/\s/g,'&nbsp;')+'</a>';
			    str+='</td>';
			    str+='<td><img src="/images/tab-right-sel.gif"/></td>\n';
			    lasttab=0;
		    }


	    }
            if (depth >= data.level)
	    	rb.page.write(str);
	    str = '';
      }
      if(targetcount && depth >= data.level){
	    rb.page.write('<td bgcolor="#ffffff" width="6" height="18" align="left" colspan="2"><img width="8" src="/images/tab-right'+(!lasttab?"-sel":"")+'2.gif"/></td>');
	    rb.page.write('<td bgcolor="#ffffff" width="100%" height="18"><img width="1" src="/images/spacer.gif"/></td></tr>');

	    rb.page.write('<tr><td bgcolor="#003263" colspan="'+((seltab-1)*5+2)+'" height="1"><img src="/images/spacer.gif" border="0" width="4" height="1"></td>');
	    rb.page.write('<td bgcolor="#ffffff" colspan="4" height="2"><img src="/images/spacer.gif" width="4" height="1" border="0"/></td>');
	    if( lasttab ) {
	      rb.page.write('<td bgcolor="#ffffff" height="1"><img src="/images/spacer.gif" border="0" height="1" width="3"/></td>');
	      rb.page.write('<td bgcolor="#003263" height="1"><img src="/images/spacer.gif" border="0" height="1" width="3"/></td>');
	    } else
	      rb.page.write('<td bgcolor="#003263" colspan="'+((targetcount-seltab)*5+2)+'" height="1"><img src="/images/spacer.gif" border="0" width="1" height="1"></td>');
	    rb.page.write('<td bgcolor="#003263" width="100%"><img src="/images/spacer.gif" border="0" width="4" height="1"></td>');

	    rb.page.write('</tr></table>\n');
      }
    }

    for (var i=0;i<targ;i++) {
      if( data.maxLevel < depth)
        break;
      // OK - display the elements.
      var str = '';
      var sel = 'n';
      if (list[i].selected)
         sel = 's';
      else if (list[i].length == 0)
         sel = 'u';
      else if (list[i].pathSelect)
         sel = 'e';
      // Decide on image.
      var bullet = data['bullet'+depth+sel];
      if(bullet == null)
         bullet = data['bullet'+sel];
      var cls = (sel == 's') ? data.styles.sel : data.styles.norm;
      
      var mod = sel ? 'u': 's';
      var bulstr="";
      var icon = "";
      if(list[i].icon != null){
	    icon='<img border="0" align="middle" src="/icons/16/'+list[i].icon+'" alt="'+list[i].bodyText+'"/>';
	    icon+='<img src="/images/spacer.gif" border="0" width="4"/>';
      }

      nameText= icon+(list[i].name.toLowerCase().replace(/\s/g,'&nbsp;'));

      if (depth == 1 && data.styles.normTop != null)
	  cls = data.styles.normTop;

      if (depth>1){
	      str += '<img src="/images/spacer.gif" width="'+data.bulletWidth*(depth-1)+'" height="1">'

		      if (bullet==null || list[i].attribs.bullet=='no')
			      str += '<img src="/images/spacer.gif" width="'+data.bulletWidth+'" height="1">';
		      else
			      bulstr = '<img src="/images/'+bullet+'" border="0">';

	      var href = (sel == 'e')?list[i].href:list[i].href;

	      // Now the link.
	      if (href!=null && depth >= data.level && !list[i].disabled)
		      str += '<a href="'+href+'" alt="'+list[i].bodyText+'" title="'+list[i].bodyText+'" class="'+cls+'">'+bulstr+nameText+'</a><br>\n'
			      else
		      str += '<span class="'+cls+'">'+bulstr+nameText+'</span><br>\n';
	      if(data.vspace != null && parseInt(data.vspace) > 0)
		      str+='<img src="/images/spacer.gif" height="'+data.vspace+'"/><br>\n';

	      if(data.level == 1 ||  depth >= data.level || 
		 ((list[i].selected || list[i].pathSelect)  && list[i].length > 0))
		      rb.page.write(str);

      }
      if (list[i].selected || list[i].pathSelect)
	      LeftMenu.render(menu,data,list[i],depth+1);
		

    }
//    if(depth == 1 && targetcount)
//	    rb.page.write('</td></tr></table>\n');

  }
}



var TopMenu = {name:'topMenu'};

Menu.addEngine(TopMenu);

TopMenu.render = function (menu, data, list, depth) {
  // Default is the top level element.
  if (depth==null)
     depth=1;

  var entries=[];

  if (list==null)
    list = menu.topItems;

  //if (dumpObj!=null)
  if (list) {
      // Display
    var targ = list.length;
    for (var i=0;i<targ;i++) {
      // OK - display the elements.
      var str = '';
      var sel = 'n';
      if (list[i].selected)
         sel = 's';
      else if (list[i].pathSelect)
         sel = 'e';

      // Decide on image.
      var bullet = data['bullet'];
         
      var cls = sel ? data.styles.sel : data.styles.norm;
      var mod = sel ? 'u': 's';

      if (depth>1)
         str += '<img src="/images/spacer.gif" width="'+data.bulletWidth*(depth-1)+'" height="1">'

      if (i == 0 || bullet==null || list[i].attribs.bullet=='no')
         str += '<img src="/images/spacer.gif" width="'+data.bulletWidth+'" height="1">';
      else
         str += '<img src="/images/'+bullet+'">';

      // Now the link.
      if (list[i].href!=null)
         str += '<a href="'+list[i].href+'" alt="'+list[i].bodyText+'" title="'+list[i].bodyText+'" class="'+cls+'">'+(list[i].name.toLowerCase()).replace(/\s/g,'&nbsp;')+'</a>'
      else
         str += list[i].name;

      rb.page.write(str);

    }
  }
}












